searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"Binance.html","title":"Binance","type":"module"},{"doc":"Account/Trade","ref":"Binance.AutoInvest.html","title":"Binance.AutoInvest","type":"module"},{"doc":"Query all source asset and target asset(USER_DATA)\n\nQuery all source assets and target assets\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/all/asset\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_all_asset/1","title":"Binance.AutoInvest.get_lending_auto_invest_all_asset/1","type":"function"},{"doc":"Query subscription transaction history (USER_DATA)\n\nQuery subscription transaction history of a plan\n\nMax span between startTime and endTime is 30days\n\nIf both startTime and endTime are null, then default is 30days\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/history/list\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- planId - Plan identifier\n- startTime - \n- endTime - \n- targetAsset - eg. BTC、ETH、BNB\n- planType - SINGLE, PORTFOLIO, INDEX, ALL\n- size - Default:10, Max:100\n- current - Currently querying page. Start from 1. Default:1\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_history_list/1","title":"Binance.AutoInvest.get_lending_auto_invest_history_list/1","type":"function"},{"doc":"Query holding details of the plan (USER_DATA)\n\nQuery holding details of the plan\n\nmax one request every 3s per account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/plan/id\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- planId - Plan identifier\n- requestId - requestId when create\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_plan_id/1","title":"Binance.AutoInvest.get_lending_auto_invest_plan_id/1","type":"function"},{"doc":"Get list of plans (USER_DATA)\n\nQuery plan lists\n\nmax one request every 3s per account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/plan/list\n\nMandatory params:\n\n- planType - Plan identifier\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_plan_list/2","title":"Binance.AutoInvest.get_lending_auto_invest_plan_list/2","type":"function"},{"doc":"Query source asset list(USER_DATA)\n\nQuery Source Asset to be used for investment\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/source-asset/list\n\nMandatory params:\n\n- usageType - eg. RECURRING, ONE_TIME\n\nOptional params:\n\n- timestamp - timestamp\n- targetAsset - eg. BTC、ETH、BNB\n- indexId - identifier, value = 1\n- flexibleAllowedToUse - \n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_source_asset_list/2","title":"Binance.AutoInvest.get_lending_auto_invest_source_asset_list/2","type":"function"},{"doc":"Get target asset list(USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/target-asset/list\n\nMandatory params:\n\n- targetAsset - \n- size - Default: 8, Max:100\n\nOptional params:\n\n- timestamp - timestamp\n- current - Current query page. Default: 1, start from 1\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_target_asset_list/3","title":"Binance.AutoInvest.get_lending_auto_invest_target_asset_list/3","type":"function"},{"doc":"Get target asset ROI data(USER_DATA)\n\nROI return list for target asset\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/auto-invest/target-asset/roi/list\n\nMandatory params:\n\n- targetAsset - \n- hisRoiType - FIVE_YEAR,THREE_YEAR,ONE_YEAR,SIX_MONTH,THREE_MONTH,SEVEN_DAY\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#get_lending_auto_invest_target_asset_roi_list/3","title":"Binance.AutoInvest.get_lending_auto_invest_target_asset_roi_list/3","type":"function"},{"doc":"Investment plan creation(USER_DATA)\n\nPost an investment plan creation\n\nmax one request every 3s per account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/lending/auto-invest/plan/add\n\nMandatory params:\n\n- UID - \n- sourceType - eg. MAIN_SITE,TR\n- planType - eg. SINGLE, PORTFOLIO, INDEX\n- subscriptionAmount - BUSD/USDT: 2dp, Fiat:5dp, BNB/ETH/BTC: 4dp\n- subscriptionCycle - eg. H1, H4, H8,H12, WEEKLY, DAILY, MONTHLY, BI_WEEKLY\n- subscriptionStartTime - “0,1,2,3,4,5,6,7,8,..23”;Must be sent in form of UTC+0\n- sourceAsset - eg. USDT\n- details - sum(all node's percentage) == 100, when in request parameter, just like this details[0].targetAsset=BTC details[0].percentage=60 details[1].targetAsset=ETH\n\nOptional params:\n\n- timestamp - timestamp\n- requestId - if not null, must follow businessReference + unique string, e.g: TR12354859\n- IndexId - Only for planType = INDEX , value = 1\n- subscriptionStartDay - “1”,...”31”; Mandatory if “subscriptionCycleNumberUnit” = “MONTHLY”, Must be sent in form of UTC+0\n- subscriptionStartWeekday - “MON”,”TUE”,”WED”,”THU”,”FRI”,”SAT”,”SUN”; Mandatory if “subscriptionCycleNumberUnit” = “WEEKLY” or “BI_WEEKLY”, Must be sent in form of UTC+0\n- flexibleAllowedToUse - \n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#post_lending_auto_invest_plan_add/9","title":"Binance.AutoInvest.post_lending_auto_invest_plan_add/9","type":"function"},{"doc":"Investment plan adjustment (TRADE)\n\nQuery Source Asset to be used for investment\n\nmax one request every 3s per account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/lending/auto-invest/plan/edit\n\nMandatory params:\n\n- planId - Plan identifier\n- subscriptionAmount - BUSD/USDT: 2dp, Fiat:5dp, BNB/ETH/BTC: 4dp\n- subscriptionCycle - eg. H1, H4, H8,H12, WEEKLY, DAILY, MONTHLY, BI_WEEKLY\n- subscriptionStartTime - “0,1,2,3,4,5,6,7,8,..23”;Must be sent in form of UTC+0\n- sourceAsset - eg. USDT\n- details - sum(all node's percentage) == 100, when in request parameter, just like this details[0].targetAsset=BTC details[0].percentage=60 details[1].targetAsset=ETH\n\nOptional params:\n\n- timestamp - timestamp\n- subscriptionStartDay - “1”,...”31”; Mandatory if “subscriptionCycleNumberUnit” = “MONTHLY”, Must be sent in form of UTC+0\n- subscriptionStartWeekday - “MON”,”TUE”,”WED”,”THU”,”FRI”,”SAT”,”SUN”; Mandatory if “subscriptionCycleNumberUnit” = “WEEKLY” or “BI_WEEKLY”, Must be sent in form of UTC+0\n- flexibleAllowedToUse - \n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#post_lending_auto_invest_plan_edit/7","title":"Binance.AutoInvest.post_lending_auto_invest_plan_edit/7","type":"function"},{"doc":"Change Plan Status (TRADE)\n\nChange Plan Status\n\nmax one request every 3s per account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/lending/auto-invest/plan/edit-status\n\nMandatory params:\n\n- planId - Plan identifier\n- status - eg. ONGOING, PAUSED, REMOVED\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.AutoInvest.html#post_lending_auto_invest_plan_edit_status/3","title":"Binance.AutoInvest.post_lending_auto_invest_plan_edit_status/3","type":"function"},{"doc":"Binance Leveraged Tokens Endpoints","ref":"Binance.Blvt.html","title":"Binance.Blvt","type":"module"},{"doc":"Query Redemption Record (USER_DATA)\n\n- Only the data of the latest 90 days is available\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/blvt/redeem/record\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- tokenName - BTCDOWN, BTCUP\n- id - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - default 1000, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Blvt.html#get_blvt_redeem_record/1","title":"Binance.Blvt.get_blvt_redeem_record/1","type":"function"},{"doc":"Query Subscription Record (USER_DATA)\n\n- Only the data of the latest 90 days is available\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/blvt/subscribe/record\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- tokenName - BTCDOWN, BTCUP\n- id - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Blvt.html#get_blvt_subscribe_record/1","title":"Binance.Blvt.get_blvt_subscribe_record/1","type":"function"},{"doc":"Get BLVT Info (MARKET_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/blvt/tokenInfo\n\nMandatory params:\n\n\n\nOptional params:\n\n- tokenName - BTCDOWN, BTCUP","ref":"Binance.Blvt.html#get_blvt_token_info/1","title":"Binance.Blvt.get_blvt_token_info/1","type":"function"},{"doc":"Get BLVT User Limit Info (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/blvt/userLimit\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- tokenName - BTCDOWN, BTCUP\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Blvt.html#get_blvt_user_limit/1","title":"Binance.Blvt.get_blvt_user_limit/1","type":"function"},{"doc":"Redeem BLVT (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/blvt/redeem\n\nMandatory params:\n\n- tokenName - BTCDOWN, BTCUP\n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Blvt.html#post_blvt_redeem/3","title":"Binance.Blvt.post_blvt_redeem/3","type":"function"},{"doc":"Subscribe BLVT (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/blvt/subscribe\n\nMandatory params:\n\n- tokenName - BTCDOWN, BTCUP\n- cost - Spot balance\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Blvt.html#post_blvt_subscribe/3","title":"Binance.Blvt.post_blvt_subscribe/3","type":"function"},{"doc":"Binance Swap Endpoints","ref":"Binance.Bswap.html","title":"Binance.Bswap","type":"module"},{"doc":"Add Liquidity Preview (USER_DATA)\n\nCalculate expected share amount for adding liquidity in single or dual token.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/addLiquidityPreview\n\nMandatory params:\n\n- poolId - \n- type - * `SINGLE` - for adding a single token\n* `COMBINATION` - for adding dual tokens\n- quoteAsset - \n- quoteQty - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_add_liquidity_preview/5","title":"Binance.Bswap.get_bswap_add_liquidity_preview/5","type":"function"},{"doc":"Get Claimed History (USER_DATA)\n\nGet history of claimed rewards.\n \nWeight(UID): 1000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/claimedHistory\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- poolId - \n- assetRewards - \n- type - 0: Swap rewards, 1: Liquidity rewards, default to 0\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 3, max 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_claimed_history/1","title":"Binance.Bswap.get_bswap_claimed_history/1","type":"function"},{"doc":"Get liquidity information of a pool (USER_DATA)\n\nGet liquidity information and user share of a pool.\n\nWeight(IP):\n- `1` for one pool;\n- `10` when the poolId parameter is omitted;\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/liquidity\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- poolId - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_liquidity/1","title":"Binance.Bswap.get_bswap_liquidity/1","type":"function"},{"doc":"Get Liquidity Operation Record (USER_DATA)\n\nGet liquidity operation (add/remove) records.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/liquidityOps\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- operationId - \n- poolId - \n- operation - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_liquidity_ops/1","title":"Binance.Bswap.get_bswap_liquidity_ops/1","type":"function"},{"doc":"Get Pool Configure (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/poolConfigure\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- poolId - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_pool_configure/1","title":"Binance.Bswap.get_bswap_pool_configure/1","type":"function"},{"doc":"List All Swap Pools (MARKET_DATA)\n\nGet metadata about all swap pools.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/pools\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Bswap.html#get_bswap_pools/1","title":"Binance.Bswap.get_bswap_pools/1","type":"function"},{"doc":"Request Quote (USER_DATA)\n\nRequest a quote for swap quote asset (selling asset) for base asset (buying asset), essentially price/exchange rates.\n\nquoteQty is quantity of quote asset (to sell).\n\nPlease be noted the quote is for reference only, the actual price will change as the liquidity changes, it's recommended to swap immediate after request a quote for slippage prevention.\n\nWeight(UID): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/quote\n\nMandatory params:\n\n- quoteAsset - \n- baseAsset - \n- quoteQty - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_quote/4","title":"Binance.Bswap.get_bswap_quote/4","type":"function"},{"doc":"Remove Liquidity Preview (USER_DATA)\n\nCalculate the expected asset amount of single token redemption or dual token redemption.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/removeLiquidityPreview\n\nMandatory params:\n\n- poolId - \n- type - * `SINGLE` - remove and obtain a single token\n* `COMBINATION` - remove and obtain dual token\n- quoteAsset - \n- shareAmount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_remove_liquidity_preview/5","title":"Binance.Bswap.get_bswap_remove_liquidity_preview/5","type":"function"},{"doc":"Get Swap History (USER_DATA)\n\nGet swap history.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/swap\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- swapId - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- status - * `0` - pending for swap\n* `1` - success\n* `2` - failed\n- quoteAsset - \n- baseAsset - \n- limit - default 3, max 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_swap/1","title":"Binance.Bswap.get_bswap_swap/1","type":"function"},{"doc":"Get Unclaimed Rewards Record (USER_DATA)\n\nGet unclaimed rewards record.\n \nWeight(UID): 1000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bswap/unclaimedRewards\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- type - 0: Swap rewards, 1: Liquidity rewards, default to 0\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#get_bswap_unclaimed_rewards/1","title":"Binance.Bswap.get_bswap_unclaimed_rewards/1","type":"function"},{"doc":"Claim Rewards (TRADE)\n\nClaim swap rewards or liquidity rewards\n \nWeight(UID): 1000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/bswap/claimRewards\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- type - 0: Swap rewards, 1: Liquidity rewards, default to 0\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#post_bswap_claim_rewards/1","title":"Binance.Bswap.post_bswap_claim_rewards/1","type":"function"},{"doc":"Add Liquidity (TRADE)\n\nAdd liquidity to a pool.\n\nWeight(UID): 1000 (Additional: 3 times one second)\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/bswap/liquidityAdd\n\nMandatory params:\n\n- poolId - \n- asset - \n- quantity - \n\nOptional params:\n\n- timestamp - timestamp\n- type - * `Single` - to add a single token\n* `Combination` - to add dual tokens\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#post_bswap_liquidity_add/4","title":"Binance.Bswap.post_bswap_liquidity_add/4","type":"function"},{"doc":"Remove Liquidity (TRADE)\n\nRemove liquidity from a pool, `type` include `SINGLE` and `COMBINATION`, asset is mandatory for single asset removal\n\nWeight(UID): 1000 (Additional: 3 times one second)\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/bswap/liquidityRemove\n\nMandatory params:\n\n- poolId - \n- type - * `SINGLE` - for single asset removal\n* `COMBINATION` - for combination of all coins removal\n- shareAmount - \n\nOptional params:\n\n- timestamp - timestamp\n- asset - Mandatory for single asset removal\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#post_bswap_liquidity_remove/4","title":"Binance.Bswap.post_bswap_liquidity_remove/4","type":"function"},{"doc":"Swap (TRADE)\n\nSwap `quoteAsset` for `baseAsset`.\n\nWeight(UID): 1000 (Additional: 3 times one second)\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/bswap/swap\n\nMandatory params:\n\n- quoteAsset - \n- baseAsset - \n- quoteQty - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Bswap.html#post_bswap_swap/4","title":"Binance.Bswap.post_bswap_swap/4","type":"function"},{"doc":"Consumer-To-Consumer Endpoints","ref":"Binance.C2c.html","title":"Binance.C2c","type":"module"},{"doc":"Get C2C Trade History (USER_DATA)\n\n- If startTimestamp and endTimestamp are not sent, the recent 30-day data will be returned.\n- The max interval between startTimestamp and endTimestamp is 30 days.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/c2c/orderMatch/listUserOrderHistory\n\nMandatory params:\n\n- tradeType - BUY, SELL\n\nOptional params:\n\n- timestamp - timestamp\n- startTimestamp - UTC timestamp in ms\n- endTimestamp - UTC timestamp in ms\n- page - Default 1\n- rows - default 100, max 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.C2c.html#get_c2c_order_match_list_user_order_history/2","title":"Binance.C2c.get_c2c_order_match_list_user_order_history/2","type":"function"},{"doc":"Convert Endpoints","ref":"Binance.Convert.html","title":"Binance.Convert","type":"module"},{"doc":"Query order quantity precision per asset (USER_DATA)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/convert/assetInfo\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#get_convert_asset_info/1","title":"Binance.Convert.get_convert_asset_info/1","type":"function"},{"doc":"List All Convert Pairs (USER_DATA)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/convert/exchangeInfo\n\nMandatory params:\n\n- fromAsset - User spends coin\n- toAsset - User receives coin\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#get_convert_exchange_info/3","title":"Binance.Convert.get_convert_exchange_info/3","type":"function"},{"doc":"Order status (USER_DATA)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/convert/orderStatus\n\nMandatory params:\n\n- orderId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#get_convert_order_status/2","title":"Binance.Convert.get_convert_order_status/2","type":"function"},{"doc":"Get Convert Trade History (USER_DATA)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/convert/tradeFlow\n\nMandatory params:\n\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n\nOptional params:\n\n- timestamp - timestamp\n- limit - default 100, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#get_convert_trade_flow/3","title":"Binance.Convert.get_convert_trade_flow/3","type":"function"},{"doc":"Accept Quote (TRADE)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/convert/acceptQuote\n\nMandatory params:\n\n- quoteId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#post_convert_accept_quote/2","title":"Binance.Convert.post_convert_accept_quote/2","type":"function"},{"doc":"Send quote request (USER_DATA)\n\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/convert/getQuote\n\nMandatory params:\n\n- fromAsset - \n- toAsset - \n- fromAmount - When specified, it is the amount you will be debited after the conversion\n\nOptional params:\n\n- timestamp - timestamp\n- toAmount - When specified, it is the amount you will be credited after the conversion\n- validTime - 10s, 30s, 1m, 2m, default 10s\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Convert.html#post_convert_get_quote/4","title":"Binance.Convert.post_convert_get_quote/4","type":"function"},{"doc":"Crypto Loans Endpoints","ref":"Binance.CryptoLoans.html","title":"Binance.CryptoLoans","type":"module"},{"doc":"Borrow - Get Loan Borrow History (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/borrow/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- loanCoin - \n- collateralCoin - \n- orderId - orderId in POST /sapi/v1/loan/borrow\n- startTime - \n- endTime - \n- current - Current querying page. Start from 1; default: 1; max: 1000\n- limit - Default: 10; max: 100.","ref":"Binance.CryptoLoans.html#get_loan_borrow_history/1","title":"Binance.CryptoLoans.get_loan_borrow_history/1","type":"function"},{"doc":"Get Collateral Assets Data (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/collateral/data\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- collateralCoin - \n- vipLevel - Default: user's vip level. Send \"-1\" to check specified configuration\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#get_loan_collateral_data/1","title":"Binance.CryptoLoans.get_loan_collateral_data/1","type":"function"},{"doc":"Get Crypto Loans Income History (USER_DATA)\n\n- If startTime and endTime are not sent, the recent 7-day data will be returned.\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/income\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- type - All types will be returned by default.\n* `borrowIn`\n* `collateralSpent`\n* `repayAmount`\n* `collateralReturn` - Collateral return after repayment\n* `addCollateral`\n* `removeCollateral`\n* `collateralReturnAfterLiquidation`\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - default 20, max 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#get_loan_income/2","title":"Binance.CryptoLoans.get_loan_income/2","type":"function"},{"doc":"Get Loanable Assets Data (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/loanable/data\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- loanCoin - \n- vipLevel - Default: user's vip level. Send \"-1\" to check specified configuration\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#get_loan_loanable_data/1","title":"Binance.CryptoLoans.get_loan_loanable_data/1","type":"function"},{"doc":"Adjust LTV - Get Loan LTV Adjustment History (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/ltv/adjustment/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- loanCoin - \n- collateralCoin - \n- orderId - \n- current - Current querying page. Start from 1; default: 1; max: 1000\n- limit - Default: 10; max: 100.\n- startTime - \n- endTime -","ref":"Binance.CryptoLoans.html#get_loan_ltv_adjustment_history/1","title":"Binance.CryptoLoans.get_loan_ltv_adjustment_history/1","type":"function"},{"doc":"Borrow - Get Loan Ongoing Orders (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/ongoing/orders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- loanCoin - \n- collateralCoin - \n- orderId - orderId in POST /sapi/v1/loan/borrow\n- current - Current querying page. Start from 1; default: 1; max: 1000\n- limit - Default: 10; max: 100.","ref":"Binance.CryptoLoans.html#get_loan_ongoing_orders/1","title":"Binance.CryptoLoans.get_loan_ongoing_orders/1","type":"function"},{"doc":"Check Collateral Repay Rate (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/repay/collateral/rate\n\nMandatory params:\n\n- loanCoin - \n- collateralCoin - \n- repayAmount - repay amount of loanCoin\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#get_loan_repay_collateral_rate/4","title":"Binance.CryptoLoans.get_loan_repay_collateral_rate/4","type":"function"},{"doc":"Repay - Get Loan Repayment History (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/repay/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- loanCoin - \n- collateralCoin - \n- orderId - \n- current - Current querying page. Start from 1; default: 1; max: 1000\n- limit - Default: 10; max: 100.\n- startTime - \n- endTime -","ref":"Binance.CryptoLoans.html#get_loan_repay_history/1","title":"Binance.CryptoLoans.get_loan_repay_history/1","type":"function"},{"doc":"Adjust LTV - Crypto Loan Adjust LTV (TRADE)\n\n\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/adjust/ltv\n\nMandatory params:\n\n- orderId - \n- amount - \n- direction - \"ADDITIONAL\", \"REDUCED\"\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#post_loan_adjust_ltv/4","title":"Binance.CryptoLoans.post_loan_adjust_ltv/4","type":"function"},{"doc":"Borrow - Crypto Loan Borrow (TRADE)\n\n\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/borrow\n\nMandatory params:\n\n- loanCoin - \n- collateralCoin - \n- loanTerm - \n\nOptional params:\n\n- timestamp - timestamp\n- loanAmount - Mandatory when collateralAmount is empty\n- collateralAmount - Mandatory when loanAmount is empty\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#post_loan_borrow/4","title":"Binance.CryptoLoans.post_loan_borrow/4","type":"function"},{"doc":"Crypto Loan Customize Margin Call (TRADE)\n\n\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/customize/margin_call\n\nMandatory params:\n\n- marginCall - \n\nOptional params:\n\n- timestamp - timestamp\n- orderId - Mandatory when collateralCoin is empty. Send either orderId or collateralCoin, if both parameters are sent, take orderId only\n- collateralCoin - Mandatory when orderID is empty. Send either orderId or collateralCoin, if both parameters are sent, take orderId only.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.CryptoLoans.html#post_loan_customize_margin_call/2","title":"Binance.CryptoLoans.post_loan_customize_margin_call/2","type":"function"},{"doc":"Repay - Crypto Loan Repay (TRADE)\n\n\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/repay\n\nMandatory params:\n\n- orderId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- collateralReturn - Default: TRUE. TRUE: Return extra collateral to spot account; FALSE: Keep extra collateral in the order.\n- type - Default: 1. 1 for \"repay with borrowed coin\"; 2 for \"repay with collateral\".","ref":"Binance.CryptoLoans.html#post_loan_repay/3","title":"Binance.CryptoLoans.post_loan_repay/3","type":"function"},{"doc":"","ref":"Binance.Errors.InsufficientBalanceError.html","title":"Binance.Errors.InsufficientBalanceError","type":"module"},{"doc":"Fiat Endpoints","ref":"Binance.Fiat.html","title":"Binance.Fiat","type":"module"},{"doc":"Get Fiat Deposit/Withdraw History (USER_DATA)\n\n- If beginTime and endTime are not sent, the recent 30-day data will be returned.\n\nWeight(UID): 90000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/fiat/orders\n\nMandatory params:\n\n- transactionType - * `0` - deposit\n* `1` - withdraw\n\nOptional params:\n\n- timestamp - timestamp\n- beginTime - \n- endTime - UTC timestamp in ms\n- page - Default 1\n- rows - Default 100, max 500\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Fiat.html#get_fiat_orders/2","title":"Binance.Fiat.get_fiat_orders/2","type":"function"},{"doc":"Get Fiat Payments History (USER_DATA)\n\n- If beginTime and endTime are not sent, the recent 30-day data will be returned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/fiat/payments\n\nMandatory params:\n\n- transactionType - * `0` - deposit\n* `1` - withdraw\n\nOptional params:\n\n- timestamp - timestamp\n- beginTime - \n- endTime - UTC timestamp in ms\n- page - Default 1\n- rows - Default 100, max 500\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Fiat.html#get_fiat_payments/2","title":"Binance.Fiat.get_fiat_payments/2","type":"function"},{"doc":"","ref":"Binance.Futures.html","title":"Binance.Futures","type":"module"},{"doc":"Adjust Cross-Collateral LTV History (USER_DATA)\n\nGet Adjust Cross-Collateral LTV History.\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/loan/adjustCollateral/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- loanCoin - \n- collateralCoin - \n- startTime - \n- endTime - \n- limit - default 500, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_adjust_collateral_history/1","title":"Binance.Futures.get_futures_loan_adjust_collateral_history/1","type":"function"},{"doc":"Cross-Collateral Borrow History (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/loan/borrow/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- coin - \n- startTime - \n- endTime - \n- limit - default 500, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_borrow_history/1","title":"Binance.Futures.get_futures_loan_borrow_history/1","type":"function"},{"doc":"Cross-Collateral Interest History (USER_DATA)\n\n\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/loan/interestHistory\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- collateralCoin - \n- startTime - \n- endTime - \n- current - Currently querying page. Start from 1. Default:1\n- limit - Default:500 Max:1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_interest_history/1","title":"Binance.Futures.get_futures_loan_interest_history/1","type":"function"},{"doc":"Cross-Collateral Liquidation History (USER_DATA)\n\nGet Cross-Collateral Liquidation History.\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/loan/liquidationHistory\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- loanCoin - \n- collateralCoin - \n- startTime - \n- endTime - \n- limit - default 500, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_liquidation_history/1","title":"Binance.Futures.get_futures_loan_liquidation_history/1","type":"function"},{"doc":"Cross-Collateral Repayment History (USER_DATA)\n\nGet Cross-Collateral Repayment History.\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/loan/repay/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- coin - \n- startTime - \n- endTime - \n- limit - default 500, max 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_repay_history/1","title":"Binance.Futures.get_futures_loan_repay_history/1","type":"function"},{"doc":"Cross-Collateral Wallet V2 (USER_DATA)\n\nGet Cross-Collateral Wallet V2.\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v2/futures/loan/wallet\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_loan_wallet/1","title":"Binance.Futures.get_futures_loan_wallet/1","type":"function"},{"doc":"Get Future Account Transaction History List (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/futures/transfer\n\nMandatory params:\n\n- asset - \n- startTime - \n\nOptional params:\n\n- timestamp - timestamp\n- endTime - \n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#get_futures_transfer/3","title":"Binance.Futures.get_futures_transfer/3","type":"function"},{"doc":"New Future Account Transfer (USER_DATA)\n\nExecute transfer between spot account and futures account.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/futures/transfer\n\nMandatory params:\n\n- asset - The asset being transferred, e.g., USDT\n- amount - The amount to be transferred\n- type - 1: transfer from spot account to USDT-Ⓜ futures account. 2: transfer from USDT-Ⓜ futures account to spot account. 3: transfer from spot account to COIN-Ⓜ futures account. 4: transfer from COIN-Ⓜ futures account to spot account.\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Futures.html#post_futures_transfer/4","title":"Binance.Futures.post_futures_transfer/4","type":"function"},{"doc":"","ref":"Binance.FuturesAlgo.html","title":"Binance.FuturesAlgo","type":"module"},{"doc":"Cancel Algo Order (TRADE)\n\nCancel an active order.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/algo/futures/order\n\nMandatory params:\n\n- algoId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#delete_algo_futures_order/2","title":"Binance.FuturesAlgo.delete_algo_futures_order/2","type":"function"},{"doc":"Query Historical Algo Orders (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/futures/historicalOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbol - Trading symbol eg. BTCUSDT\n- side - BUY or SELL\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- page - Default is 1\n- pageSize - MIN 1, MAX 100; Default 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#get_algo_futures_historical_orders/1","title":"Binance.FuturesAlgo.get_algo_futures_historical_orders/1","type":"function"},{"doc":"Query Current Algo Open Orders (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/futures/openOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#get_algo_futures_open_orders/1","title":"Binance.FuturesAlgo.get_algo_futures_open_orders/1","type":"function"},{"doc":"Query Sub Orders (USER_DATA)\n\nGet respective sub orders for a specified algoId\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/futures/subOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- algoId - \n- page - Default is 1\n- pageSize - MIN 1, MAX 100; Default 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#get_algo_futures_sub_orders/1","title":"Binance.FuturesAlgo.get_algo_futures_sub_orders/1","type":"function"},{"doc":"Time-Weighted Average Price New Order (TRADE)\n\nSend in a Twap new order. Only support on USDⓈ-M Contracts.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/algo/futures/newOrderTwap\n\nMandatory params:\n\n- symbol - Trading symbol eg. BTCUSDT\n- side - Trading side ( BUY or SELL )\n- quantity - Quantity of base asset; The notional (quantity * mark price(base asset)) must be more than the equivalent of 10,000 USDT and less than the equivalent of 1,000,000 USDT\n- duration - Duration for TWAP orders in seconds. [300, 86400];Less than 5min => defaults to 5 min; Greater than 24h => defaults to 24h\n\nOptional params:\n\n- timestamp - timestamp\n- positionSide - Default BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.\n- clientAlgoId - A unique id among Algo orders (length should be 32 characters)， If it is not sent, we will give default value\n- reduceOnly - `true` or `false`. Default `false`; Cannot be sent in Hedge Mode; Cannot be sent when you open a position\n- limitPrice - Limit price of the order; If it is not sent, will place order by market price by default\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#post_algo_futures_new_order_twap/5","title":"Binance.FuturesAlgo.post_algo_futures_new_order_twap/5","type":"function"},{"doc":"Volume Participation New Order (TRADE)\n\nSend in a VP new order. Only support on USDⓈ-M Contracts.\n\nWeight(IP): 3000\n\n- Max open orders allowed: 10 orders.\n- Leverage of symbols and position mode will be the same as your futures account settings. You can set up through the trading page or fapi.\n- Receiving \"success\": true does not mean that your order will be executed. Please use the query order endpoints（GET sapi/v1/algo/futures/openOrders or GET sapi/v1/algo/futures/historicalOrders） to check the order status. For example: Your futures balance is insufficient, or open position with reduce only or position side is inconsistent with your own setting. In these cases you will receive \"success\": true, but the order status will be expired after we check it.\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/algo/futures/newOrderVp\n\nMandatory params:\n\n- symbol - Trading symbol eg. BTCUSDT\n- side - Trading side ( BUY or SELL )\n- quantity - Quantity of base asset; The notional (quantity * mark price(base asset)) must be more than the equivalent of 10,000 USDT and less than the equivalent of 1,000,000 USDT.\n- urgency - Represent the relative speed of the current execution; ENUM: LOW, MEDIUM, HIGH.\n\nOptional params:\n\n- timestamp - timestamp\n- positionSide - Default BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.\n- clientAlgoId - A unique id among Algo orders (length should be 32 characters)， If it is not sent, we will give default value.\n- reduceOnly - \"true\" or \"false\". Default \"false\"; Cannot be sent in Hedge Mode; Cannot be sent when you open a position.\n- limitPrice - Limit price of the order; If it is not sent, will place order by market price by default.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.FuturesAlgo.html#post_algo_futures_new_order_vp/5","title":"Binance.FuturesAlgo.post_algo_futures_new_order_vp/5","type":"function"},{"doc":"Gift Card Endpoints","ref":"Binance.GiftCard.html","title":"Binance.GiftCard","type":"module"},{"doc":"Fetch Token Limit (USER_DATA)\n\nThis API is for verifying whether the Binance Code is valid or not by entering Binance Code or reference number.\n\nPlease note that if you enter the wrong binance code 5 times within an hour, you will no longer be able to verify any binance code for that hour.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/giftcard/buyCode/token-limit\n\nMandatory params:\n\n- baseToken - The token you want to pay, example: BUSD\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#get_giftcard_buy_code_token_limit/2","title":"Binance.GiftCard.get_giftcard_buy_code_token_limit/2","type":"function"},{"doc":"Fetch RSA Public Key (USER_DATA)\n\nThis API is for fetching the RSA Public Key.\nThis RSA Public key will be used to encrypt the card code.\nPlease note that the RSA Public key fetched is valid only for the current day.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/giftcard/cryptography/rsa-public-key\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#get_giftcard_cryptography_rsa_public_key/1","title":"Binance.GiftCard.get_giftcard_cryptography_rsa_public_key/1","type":"function"},{"doc":"Verify a Binance Code (USER_DATA)\n\nThis API is for verifying whether the Binance Code is valid or not by entering Binance Code or reference number.\n\nPlease note that if you enter the wrong binance code 5 times within an hour, you will no longer be able to verify any binance code for that hour.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/giftcard/verify\n\nMandatory params:\n\n- referenceNo - reference number\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#get_giftcard_verify/2","title":"Binance.GiftCard.get_giftcard_verify/2","type":"function"},{"doc":"Buy a Binance Code (TRADE)\n\nThis API is for redeeming the Binance Code. Once redeemed, the coins will be deposited in your funding wallet.\n\nPlease note that if you enter the wrong code 5 times within 24 hours, you will no longer be able to redeem any Binance Code that day.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/giftcard/buyCode\n\nMandatory params:\n\n- baseToken - The token you want to pay, example: BUSD\n- faceToken - The token you want to buy, example: BNB. If faceToken = baseToken, it's the same as createCode endpoint.\n- baseTokenAmount - The base token asset quantity, example : 1.002\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#post_giftcard_buy_code/4","title":"Binance.GiftCard.post_giftcard_buy_code/4","type":"function"},{"doc":"Create a Binance Code (USER_DATA)\n\nThis API is for creating a Binance Code. To get started with, please make sure:\n\n- You have a Binance account\n- You have passed kyc\n- You have a sufﬁcient balance in your Binance funding wallet\n- You need Enable Withdrawals for the API Key which requests this endpoint.\n\nDaily creation volume: 2 BTC / 24H Daily creation times: 200 Codes / 24H\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/giftcard/createCode\n\nMandatory params:\n\n- token - The coin type contained in the Binance Code\n- amount - The amount of the coin\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#post_giftcard_create_code/3","title":"Binance.GiftCard.post_giftcard_create_code/3","type":"function"},{"doc":"Redeem a Binance Code (USER_DATA)\n\nThis API is for redeeming the Binance Code. Once redeemed, the coins will be deposited in your funding wallet.\n\nPlease note that if you enter the wrong code 5 times within 24 hours, you will no longer be able to redeem any Binance Code that day.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/giftcard/redeemCode\n\nMandatory params:\n\n- code - Binance Code\n\nOptional params:\n\n- timestamp - timestamp\n- externalUid - Each external unique ID represents a unique user on the partner platform. The function helps you to identify the redemption behavior of different users, such as redemption frequency and amount. It also helps risk and limit control of a single account, such as daily limit on redemption volume, frequency, and incorrect number of entries. This will also prevent a single user account reach the partner's daily redemption limits. We strongly recommend you to use this feature and transfer us the User ID of your users if you have different users redeeming Binance codes on your platform. To protect user data privacy, you may choose to transfer the user id in any desired format (max. 400 characters).\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.GiftCard.html#post_giftcard_redeem_code/2","title":"Binance.GiftCard.post_giftcard_redeem_code/2","type":"function"},{"doc":"","ref":"Binance.Helper.html","title":"Binance.Helper","type":"module"},{"doc":"Either returns a specific error (if we have one), or formats as generic {:binance_error, xxx}","ref":"Binance.Helper.html#format_error/1","title":"Binance.Helper.format_error/1","type":"function"},{"doc":"","ref":"Binance.Helper.html#format_price/1","title":"Binance.Helper.format_price/1","type":"function"},{"doc":"Converts a map with string keys into a map with atoms\n\nThis is considered unsafe since atoms are never garbage collected and can cause a memory leak","ref":"Binance.Helper.html#keys_to_atoms/1","title":"Binance.Helper.keys_to_atoms/1","type":"function"},{"doc":"Margin Account/Trade","ref":"Binance.Margin.html","title":"Binance.Margin","type":"module"},{"doc":"Disable Isolated Margin Account (TRADE)\n\nDisable isolated margin account for a specific symbol. Each trading pair can only be deactivated once every 24 hours .\n\nWeight(UID): 300\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/margin/isolated/account\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#delete_margin_isolated_account/2","title":"Binance.Margin.delete_margin_isolated_account/2","type":"function"},{"doc":"Margin Account Cancel all Open Orders on a Symbol (TRADE)\n\n- Cancels all active orders on a symbol for margin account.\n- This includes OCO orders.\n\nWeight(IP): 1\n\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/margin/openOrders\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#delete_margin_open_orders/2","title":"Binance.Margin.delete_margin_open_orders/2","type":"function"},{"doc":"Margin Account Cancel Order (TRADE)\n\nCancel an active order for margin account.\n\nEither `orderId` or `origClientOrderId` must be sent.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/margin/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- orderId - Order id\n- origClientOrderId - Order id from client\n- newClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#delete_margin_order/2","title":"Binance.Margin.delete_margin_order/2","type":"function"},{"doc":"Margin Account Cancel OCO (TRADE)\n\nCancel an entire Order List for a margin account\n\n- Canceling an individual leg will cancel the entire OCO\n- Either `orderListId` or `listClientOrderId` must be provided\n\nWeight(UID): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/margin/orderList\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- orderListId - Order list id\n- listClientOrderId - A unique Id for the entire orderList\n- newClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#delete_margin_order_list/2","title":"Binance.Margin.delete_margin_order_list/2","type":"function"},{"doc":"Get BNB Burn Status (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/bnbBurn\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_bnb_burn/1","title":"Binance.Margin.get_bnb_burn/1","type":"function"},{"doc":"Query Cross Margin Account Details (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/account\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_account/1","title":"Binance.Margin.get_margin_account/1","type":"function"},{"doc":"Get All Margin Assets (MARKET_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/allAssets\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Margin.html#get_margin_all_assets/1","title":"Binance.Margin.get_margin_all_assets/1","type":"function"},{"doc":"Query Margin Account's all OCO (USER_DATA)\n\nRetrieves all OCO for a specific margin account based on provided optional parameters\n\nWeight(IP): 200\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/allOrderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - Mandatory for isolated margin, not supported for cross margin\n- fromId - If supplied, neither `startTime` or `endTime` can be provided\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default Value: 500; Max Value: 1000\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_all_order_list/1","title":"Binance.Margin.get_margin_all_order_list/1","type":"function"},{"doc":"Query Margin Account's All Orders (USER_DATA)\n\n- If `orderId` is set, it will get orders >= that orderId. Otherwise most recent orders are returned.\n- For some historical orders `cummulativeQuoteQty` will be < 0, meaning the data is not available at this time.\n\nWeight(IP): 200\n\nRequest Limit: 60 times/min per IP\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/allOrders\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- orderId - Order id\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_all_orders/2","title":"Binance.Margin.get_margin_all_orders/2","type":"function"},{"doc":"Get All Cross Margin Pairs (MARKET_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/allPairs\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Margin.html#get_margin_all_pairs/1","title":"Binance.Margin.get_margin_all_pairs/1","type":"function"},{"doc":"Query Margin Asset (MARKET_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/asset\n\nMandatory params:\n\n- asset - \n\nOptional params:","ref":"Binance.Margin.html#get_margin_asset/2","title":"Binance.Margin.get_margin_asset/2","type":"function"},{"doc":"Cross margin collateral ratio (MARKET_DATA)\n\nWeight(IP): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/crossMarginCollateralRatio\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Margin.html#get_margin_cross_margin_collateral_ratio/1","title":"Binance.Margin.get_margin_cross_margin_collateral_ratio/1","type":"function"},{"doc":"Query Cross Margin Fee Data (USER_DATA)\n\nGet cross margin fee data collection with any vip level or user's current specific data as https://www.binance.com/en/margin-fee\n\nWeight(IP): 1 when coin is specified; 5 when the coin parameter is omitted\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/crossMarginData\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- vipLevel - Defaults to user's vip level\n- coin - Coin name\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_cross_margin_data/1","title":"Binance.Margin.get_margin_cross_margin_data/1","type":"function"},{"doc":"Get tokens or symbols delist schedule for cross margin and isolated margin (MARKET_DATA)\n\nGet tokens or symbols delist schedule for cross margin and isolated margin\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/delist-schedule\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_delist_schedule/1","title":"Binance.Margin.get_margin_delist_schedule/1","type":"function"},{"doc":"Margin Dustlog (USER_DATA)\n\nQuery the historical information of user's margin account small-value asset conversion BNB.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/dribblet\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_dribblet/1","title":"Binance.Margin.get_margin_dribblet/1","type":"function"},{"doc":"Get Assets That Can Be Converted Into BNB (USER_DATA)\n\nGet assets that can be converted into BNB.\n\nWeight(IP): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/dust\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_dust/1","title":"Binance.Margin.get_margin_dust/1","type":"function"},{"doc":"Get Small Liability Exchange Coin List (USER_DATA)\n\nQuery the coins which can be small liability exchange\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/exchange-small-liability\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_exchange_small_liability/1","title":"Binance.Margin.get_margin_exchange_small_liability/1","type":"function"},{"doc":"Get Small Liability Exchange History (USER_DATA)\n\nGet Small liability Exchange History\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/exchange-small-liability-history\n\nMandatory params:\n\n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10, Max:100\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - Default: 30 days from current timestamp\n- endTime - Default: present timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_exchange_small_liability_history/3","title":"Binance.Margin.get_margin_exchange_small_liability_history/3","type":"function"},{"doc":"Get Force Liquidation Record (USER_DATA)\n\n- Response in descending order\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/forceLiquidationRec\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- isolatedSymbol - Isolated symbol\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_force_liquidation_rec/1","title":"Binance.Margin.get_margin_force_liquidation_rec/1","type":"function"},{"doc":"Get Interest History (USER_DATA)\n\n- Response in descending order\n- If `isolatedSymbol` is not sent, crossed margin data will be returned\n- Set `archived` to `true` to query data from 6 months ago\n- `type` in response has 4 enums:\n  - `PERIODIC` interest charged per hour\n  - `ON_BORROW` first interest charged on borrow\n  - `PERIODIC_CONVERTED` interest charged per hour converted into BNB\n  - `ON_BORROW_CONVERTED` first interest charged on borrow converted into BNB\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/interestHistory\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- isolatedSymbol - Isolated symbol\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- archived - Default: false. Set to true for archived data from 6 months ago\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_interest_history/1","title":"Binance.Margin.get_margin_interest_history/1","type":"function"},{"doc":"Query Margin Interest Rate History (USER_DATA)\n\nThe max interval between startTime and endTime is 30 days.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/interestRateHistory\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- vipLevel - Defaults to user's vip level\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_interest_rate_history/2","title":"Binance.Margin.get_margin_interest_rate_history/2","type":"function"},{"doc":"Query Isolated Margin Account Info (USER_DATA)\n\n- If \"symbols\" is not sent, all isolated assets will be returned.\n- If \"symbols\" is sent, only the isolated assets of the sent symbols will be returned.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolated/account\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbols - Max 5 symbols can be sent; separated by ','\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_account/1","title":"Binance.Margin.get_margin_isolated_account/1","type":"function"},{"doc":"Query Enabled Isolated Margin Account Limit (USER_DATA)\n\nQuery enabled isolated margin account limit.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolated/accountLimit\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_account_limit/1","title":"Binance.Margin.get_margin_isolated_account_limit/1","type":"function"},{"doc":"Get All Isolated Margin Symbol (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolated/allPairs\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_all_pairs/1","title":"Binance.Margin.get_margin_isolated_all_pairs/1","type":"function"},{"doc":"Query Isolated Margin Fee Data (USER_DATA)\n\nGet isolated margin fee data collection with any vip level or user's current specific data as https://www.binance.com/en/margin-fee\n\nWeight(IP): 1 when a single is specified; 10 when the symbol parameter is omitted\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolatedMarginData\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- vipLevel - Defaults to user's vip level\n- symbol - Trading symbol, e.g. BNBUSDT\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_margin_data/1","title":"Binance.Margin.get_margin_isolated_margin_data/1","type":"function"},{"doc":"Query Isolated Margin Tier Data (USER_DATA)\n\nGet isolated margin tier data collection with any tier as https://www.binance.com/en/margin-data\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolatedMarginTier\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- tier - All margin tier data will be returned if tier is omitted\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_margin_tier/2","title":"Binance.Margin.get_margin_isolated_margin_tier/2","type":"function"},{"doc":"Query Isolated Margin Symbol (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolated/pair\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_pair/2","title":"Binance.Margin.get_margin_isolated_pair/2","type":"function"},{"doc":"Get Isolated Margin Transfer History (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/isolated/transfer\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- transFrom - \n- transTo - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- archived - Default: false. Set to true for archived data from 6 months ago\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_isolated_transfer/2","title":"Binance.Margin.get_margin_isolated_transfer/2","type":"function"},{"doc":"Query Loan Record (USER_DATA)\n\n- `txId` or `startTime` must be sent. `txId` takes precedence.\n- Response in descending order\n- If `isolatedSymbol` is not sent, crossed margin data will be returned\n- Set `archived` to `true` to query data from 6 months ago\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/loan\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- isolatedSymbol - Isolated symbol\n- txId - the tranId in  `POST /sapi/v1/margin/loan`\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- archived - Default: false. Set to true for archived data from 6 months ago\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_loan/2","title":"Binance.Margin.get_margin_loan/2","type":"function"},{"doc":"Query Max Borrow (USER_DATA)\n\n- If `isolatedSymbol` is not sent, crossed margin data will be sent.\n- `borrowLimit` is also available from https://www.binance.com/en/margin-fee\n\nWeight(IP): 50\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/maxBorrowable\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- isolatedSymbol - Isolated symbol\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_max_borrowable/2","title":"Binance.Margin.get_margin_max_borrowable/2","type":"function"},{"doc":"Query Max Transfer-Out Amount (USER_DATA)\n\n- If `isolatedSymbol` is not sent, crossed margin data will be sent.\n\nWeight(IP): 50\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/maxTransferable\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- isolatedSymbol - Isolated symbol\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_max_transferable/2","title":"Binance.Margin.get_margin_max_transferable/2","type":"function"},{"doc":"Query Margin Account's Trade List (USER_DATA)\n\n- If `fromId` is set, it will get orders >= that `fromId`. Otherwise most recent trades are returned.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/myTrades\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- fromId - Trade id to fetch from. Default gets most recent trades.\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_my_trades/2","title":"Binance.Margin.get_margin_my_trades/2","type":"function"},{"doc":"Get a future hourly interest rate (USER_DATA)\n\nGet user the next hourly estimate interest\n\nWeight(UID): 100\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/next-hourly-interest-rate\n\nMandatory params:\n\n- assets - List of assets, separated by commas, up to 20\n- isIsolated - for isolated margin or not, TRUE, FALSE\n\nOptional params:","ref":"Binance.Margin.html#get_margin_next_hourly_interest_rate/3","title":"Binance.Margin.get_margin_next_hourly_interest_rate/3","type":"function"},{"doc":"Query Margin Account's Open OCO (USER_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/openOrderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - Mandatory for isolated margin, not supported for cross margin\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_open_order_list/1","title":"Binance.Margin.get_margin_open_order_list/1","type":"function"},{"doc":"Query Margin Account's Open Orders (USER_DATA)\n\n- If the `symbol` is not sent, orders for all symbols will be returned in an array.\n- When all symbols are returned, the number of requests counted against the rate limiter is equal to the number of symbols currently trading on the exchange\n- If isIsolated =\"TRUE\", symbol must be sent.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/openOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbol - Trading symbol, e.g. BNBUSDT\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_open_orders/1","title":"Binance.Margin.get_margin_open_orders/1","type":"function"},{"doc":"Query Margin Account's Order (USER_DATA)\n\n- Either `orderId` or `origClientOrderId` must be sent.\n- For some historical orders `cummulativeQuoteQty` will be < 0, meaning the data is not available at this time.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- orderId - Order id\n- origClientOrderId - Order id from client\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_order/2","title":"Binance.Margin.get_margin_order/2","type":"function"},{"doc":"Query Margin Account's OCO (USER_DATA)\n\nRetrieves a specific OCO based on provided optional parameters\n\n- Either `orderListId` or `origClientOrderId` must be provided\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/orderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - Mandatory for isolated margin, not supported for cross margin\n- orderListId - Order list id\n- origClientOrderId - Order id from client\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_order_list/1","title":"Binance.Margin.get_margin_order_list/1","type":"function"},{"doc":"Query Cross Margin Pair (MARKET_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/pair\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:","ref":"Binance.Margin.html#get_margin_pair/2","title":"Binance.Margin.get_margin_pair/2","type":"function"},{"doc":"Query Margin PriceIndex (MARKET_DATA)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/priceIndex\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:","ref":"Binance.Margin.html#get_margin_price_index/2","title":"Binance.Margin.get_margin_price_index/2","type":"function"},{"doc":"Query Current Margin Order Count Usage (TRADE)\n\nDisplays the user's current margin order count usage for all intervals.\n\nWeight(IP): 20\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/rateLimit/order\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - isolated symbol, mandatory for isolated margin\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_rate_limit_order/1","title":"Binance.Margin.get_margin_rate_limit_order/1","type":"function"},{"doc":"Query Repay Record (USER_DATA)\n\n- `txId` or `startTime` must be sent. `txId` takes precedence.\n- Response in descending order\n- If `isolatedSymbol` is not sent, crossed margin data will be returned\n- Set `archived` to `true` to query data from 6 months ago\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/repay\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- isolatedSymbol - Isolated symbol\n- txId - the tranId in  `POST /sapi/v1/margin/repay`\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- archived - Default: false. Set to true for archived data from 6 months ago\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_repay/2","title":"Binance.Margin.get_margin_repay/2","type":"function"},{"doc":"Get Summary of Margin account (USER_DATA)\n\n- If `isolatedSymbol` is not sent, crossed margin data will be sent.\n\nWeight(IP): 50\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/tradeCoeff\n\nMandatory params:\n\n- email - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_trade_coeff/2","title":"Binance.Margin.get_margin_trade_coeff/2","type":"function"},{"doc":"Get Cross Margin Transfer History (USER_DATA)\n\n- Response in descending order\n- Returns data for last 7 days by default\n- Set `archived` to `true` to query data from 6 months ago\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/margin/transfer\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- type - Transfer Type\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- archived - Default: false. Set to true for archived data from 6 months ago\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#get_margin_transfer/1","title":"Binance.Margin.get_margin_transfer/1","type":"function"},{"doc":"Toggle BNB Burn On Spot Trade And Margin Interest (USER_DATA)\n\n- \"spotBNBBurn\" and \"interestBNBBurn\" should be sent at least one.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/bnbBurn\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- spotBNBBurn - Determines whether to use BNB to pay for trading fees on SPOT\n- interestBNBBurn - Determines whether to use BNB to pay for margin loan's interest\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_bnb_burn/1","title":"Binance.Margin.post_bnb_burn/1","type":"function"},{"doc":"Dust Transfer (TRADE)\n\nConvert dust assets to BNB.\n\nYou need to openEnable Spot & Margin Trading permission for the API Key which requests this endpoint.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/dust\n\nMandatory params:\n\n- asset - The asset being converted. For example: asset=BTC,USDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_dust/2","title":"Binance.Margin.post_margin_dust/2","type":"function"},{"doc":"Small Liability Exchange (MARGIN)\n\nCross Margin Small Liability Exchange\nOnly convert once within 6 hours\nOnly liability valuation less than 10 USDT are supported\nThe maximum number of coin is 10\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/exchange-small-liability\n\nMandatory params:\n\n- assetNames - The assets list of small liability exchange, Example: assetNames = BTC,ETH\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_exchange_small_liability/2","title":"Binance.Margin.post_margin_exchange_small_liability/2","type":"function"},{"doc":"Enable Isolated Margin Account (TRADE)\n\nEnable isolated margin account for a specific symbol.\n\nWeight(UID): 300\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/isolated/account\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_isolated_account/2","title":"Binance.Margin.post_margin_isolated_account/2","type":"function"},{"doc":"Isolated Margin Account Transfer (MARGIN)\n\nWeight(UID): 600\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/isolated/transfer\n\nMandatory params:\n\n- asset - \n- symbol - Trading symbol, e.g. BNBUSDT\n- transFrom - \n- transTo - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_isolated_transfer/6","title":"Binance.Margin.post_margin_isolated_transfer/6","type":"function"},{"doc":"Margin Account Borrow (MARGIN)\n\nApply for a loan.\n\n- If \"isIsolated\" = \"TRUE\", \"symbol\" must be sent\n- \"isIsolated\" = \"FALSE\" for crossed margin loan\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/loan\n\nMandatory params:\n\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - Trading symbol, e.g. BNBUSDT\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_loan/3","title":"Binance.Margin.post_margin_loan/3","type":"function"},{"doc":"Adjust cross margin max leverage (USER_DATA)\n\nAdjust cross margin max leverage\nThe margin level need higher than the initial risk ratio of adjusted leverage, the initial risk ratio of 3x is 1.5 and the initial risk ratio of 5x is 1.25\n\nWeight(IP): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/max-leverage\n\nMandatory params:\n\n- maxLeverage - UTC timestamp in ms\n\nOptional params:","ref":"Binance.Margin.html#post_margin_max_leverage/2","title":"Binance.Margin.post_margin_max_leverage/2","type":"function"},{"doc":"Margin Account New Order (TRADE)\n\nPost a new order for margin account.\n\nWeight(UID): 6\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- type - Order type\n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- quantity - \n- quoteOrderQty - Quote quantity\n- price - Order price\n- stopPrice - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- newClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- icebergQty - Used with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.\n- newOrderRespType - Set the response JSON.\n- sideEffectType - Default `NO_SIDE_EFFECT`\n- timeInForce - Order time in force\n- selfTradePreventionMode - The allowed enums is dependent on what is configured on the symbol. The possible supported values are EXPIRE_TAKER, EXPIRE_MAKER, EXPIRE_BOTH, NONE\n- autoRepayAtCancel - Only when MARGIN_BUY or AUTO_BORROW_REPAY order takes effect, true means that the debt generated by the order needs to be repay after the order is cancelled. The default is true\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_order/4","title":"Binance.Margin.post_margin_order/4","type":"function"},{"doc":"Margin Account New OCO (TRADE)\n\nSend in a new OCO for a margin account\n\n- Price Restrictions:\n  - SELL: Limit Price > Last Price > Stop Price\n  - BUY: Limit Price < Last Price < Stop Price\n- Quantity Restrictions:\n  - Both legs must have the same quantity\n  - ICEBERG quantities however do not have to be the same.\n- Order Rate Limit\n  - OCO counts as 2 orders against the order rate limit.\n\nWeight(UID): 6\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/order/oco\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- quantity - \n- price - Order price\n- stopPrice - \n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- listClientOrderId - A unique Id for the entire orderList\n- limitClientOrderId - A unique Id for the limit order\n- limitIcebergQty - \n- stopClientOrderId - A unique Id for the stop loss/stop loss limit leg\n- stopLimitPrice - If provided, stopLimitTimeInForce is required.\n- stopIcebergQty - \n- stopLimitTimeInForce - \n- newOrderRespType - Set the response JSON.\n- sideEffectType - Default `NO_SIDE_EFFECT`\n- selfTradePreventionMode - The allowed enums is dependent on what is configured on the symbol. The possible supported values are EXPIRE_TAKER, EXPIRE_MAKER, EXPIRE_BOTH, NONE\n- autoRepayAtCancel - Only when MARGIN_BUY or AUTO_BORROW_REPAY order takes effect, true means that the debt generated by the order needs to be repay after the order is cancelled. The default is true\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_order_oco/6","title":"Binance.Margin.post_margin_order_oco/6","type":"function"},{"doc":"Margin Account Repay (MARGIN)\n\nRepay loan for margin account.\n\n- If \"isIsolated\" = \"TRUE\", \"symbol\" must be sent\n- \"isIsolated\" = \"FALSE\" for crossed margin repay\n\nWeight(IP): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/repay\n\nMandatory params:\n\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- isIsolated - * `TRUE` - For isolated margin\n* `FALSE` - Default, not for isolated margin\n- symbol - Trading symbol, e.g. BNBUSDT\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_repay/3","title":"Binance.Margin.post_margin_repay/3","type":"function"},{"doc":"Cross Margin Account Transfer (MARGIN)\n\nExecute transfer between spot account and cross margin account.\n\nWeight(IP): 600\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/margin/transfer\n\nMandatory params:\n\n- asset - \n- amount - \n- type - * `1` - transfer from main account to margin account\n* `2` - transfer from margin account to main account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Margin.html#post_margin_transfer/4","title":"Binance.Margin.post_margin_transfer/4","type":"function"},{"doc":"Market Data","ref":"Binance.Market.html","title":"Binance.Market","type":"module"},{"doc":"Compressed/Aggregate Trades List\n\nGet compressed, aggregate trades. Trades that fill at the time, from the same order, with the same price will have the quantity aggregated.\n- If `startTime` and `endTime` are sent, time between startTime and endTime must be less than 1 hour.\n- If `fromId`, `startTime`, and `endTime` are not sent, the most recent aggregate trades will be returned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/aggTrades\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- fromId - Trade id to fetch from. Default gets most recent trades.\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.","ref":"Binance.Market.html#get_agg_trades/2","title":"Binance.Market.get_agg_trades/2","type":"function"},{"doc":"Current Average Price\n\nCurrent average price for a symbol.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/avgPrice\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:","ref":"Binance.Market.html#get_avg_price/2","title":"Binance.Market.get_avg_price/2","type":"function"},{"doc":"Order Book\n\n| Limit               | Weight(IP)  |\n|---------------------|-------------|\n| 1-100               | 1           |\n| 101-500             | 5           |\n| 501-1000            | 10          |\n| 1001-5000           | 50          |\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/depth\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- limit - If limit > 5000, then the response will truncate to 5000","ref":"Binance.Market.html#get_depth/2","title":"Binance.Market.get_depth/2","type":"function"},{"doc":"Exchange Information\n\nCurrent exchange trading rules and symbol information\n\n- If any symbol provided in either symbol or symbols do not exist, the endpoint will throw an error.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/exchangeInfo\n\nMandatory params:\n\n\n\nOptional params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- symbols - \n- permissions - Display symbols with the permissions matching provided parameter. (eg.SPOT, MARGIN, LEVERAGED)","ref":"Binance.Market.html#get_exchange_info/1","title":"Binance.Market.get_exchange_info/1","type":"function"},{"doc":"Old Trade Lookup (MARKET_DATA)\n\nGet older market trades.\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/historicalTrades\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- limit - Default 500; max 1000.\n- fromId - Trade id to fetch from. Default gets most recent trades.","ref":"Binance.Market.html#get_historical_trades/2","title":"Binance.Market.get_historical_trades/2","type":"function"},{"doc":"Kline/Candlestick Data\n\nKline/candlestick bars for a symbol.\nKlines are uniquely identified by their open time.\n\n- If `startTime` and `endTime` are not sent, the most recent klines are returned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/klines\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- interval - kline intervals\n\nOptional params:\n\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.","ref":"Binance.Market.html#get_klines/3","title":"Binance.Market.get_klines/3","type":"function"},{"doc":"Test Connectivity\n\nTest connectivity to the Rest API.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/ping\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Market.html#get_ping/1","title":"Binance.Market.get_ping/1","type":"function"},{"doc":"Rolling window price change statistics\n\nThe window used to compute statistics is typically slightly wider than requested windowSize.\n\nopenTime for /api/v3/ticker always starts on a minute, while the closeTime is the current time of the request. As such, the effective window might be up to 1 minute wider than requested.\n\nE.g. If the closeTime is 1641287867099 (January 04, 2022 09:17:47:099 UTC) , and the windowSize is 1d. the openTime will be: 1641201420000 (January 3, 2022, 09:17:00 UTC)\n\nWeight(IP): 2 for each requested symbol regardless of windowSize.\n\nThe weight for this request will cap at 100 once the number of symbols in the request is more than 50.\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/ticker\n\nMandatory params:\n\n\n\nOptional params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- symbols - Either symbol or symbols must be provided\nExamples of accepted format for the symbols parameter: [\"BTCUSDT\",\"BNBUSDT\"] or %5B%22BTCUSDT%22,%22BNBUSDT%22%5D.\n\nThe maximum number of symbols allowed in a request is 100.\n- windowSize - Defaults to 1d if no parameter provided.\nSupported windowSize values:\n1m,2m....59m for minutes\n1h, 2h....23h - for hours\n1d...7d - for days.\n\nUnits cannot be combined (e.g. 1d2h is not allowed)\n- type - Supported values: FULL or MINI.\nIf none provided, the default is FULL","ref":"Binance.Market.html#get_ticker/1","title":"Binance.Market.get_ticker/1","type":"function"},{"doc":"24hr Ticker Price Change Statistics\n\n24 hour rolling window price change statistics. Careful when accessing this with no symbol.\n\n- If the symbol is not sent, tickers for all symbols will be returned in an array.\n\nWeight(IP):\n- `1` for a single symbol;\n- `40` when the symbol parameter is omitted;\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/ticker/24hr\n\nMandatory params:\n\n\n\nOptional params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- symbols - \n- type - Supported values: FULL or MINI.\nIf none provided, the default is FULL","ref":"Binance.Market.html#get_ticker_24hr/1","title":"Binance.Market.get_ticker_24hr/1","type":"function"},{"doc":"Symbol Order Book Ticker\n\nBest price/qty on the order book for a symbol or symbols.\n\n- If the symbol is not sent, bookTickers for all symbols will be returned in an array.\n\nWeight(IP):\n- `1` for a single symbol;\n- `2` when the symbol parameter is omitted;\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/ticker/bookTicker\n\nMandatory params:\n\n\n\nOptional params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- symbols -","ref":"Binance.Market.html#get_ticker_book_ticker/1","title":"Binance.Market.get_ticker_book_ticker/1","type":"function"},{"doc":"Symbol Price Ticker\n\nLatest price for a symbol or symbols.\n\n- If the symbol is not sent, prices for all symbols will be returned in an array.\n\nWeight(IP):\n- `1` for a single symbol;\n- `2` when the symbol parameter is omitted;\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/ticker/price\n\nMandatory params:\n\n\n\nOptional params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- symbols -","ref":"Binance.Market.html#get_ticker_price/1","title":"Binance.Market.get_ticker_price/1","type":"function"},{"doc":"Check Server Time\n\nTest connectivity to the Rest API and get the current server time.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/time\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Market.html#get_time/1","title":"Binance.Market.get_time/1","type":"function"},{"doc":"Recent Trades List\n\nGet recent trades.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/trades\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- limit - Default 500; max 1000.","ref":"Binance.Market.html#get_trades/2","title":"Binance.Market.get_trades/2","type":"function"},{"doc":"UIKlines\n\nThe request is similar to klines having the same parameters and response.\n\nuiKlines return modified kline data, optimized for presentation of candlestick charts.\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/uiKlines\n\nMandatory params:\n\n- symbol - \n- interval - kline intervals\n\nOptional params:\n\n- startTime - \n- endTime - \n- limit - Default 500; max 1000.","ref":"Binance.Market.html#get_ui_klines/3","title":"Binance.Market.get_ui_klines/3","type":"function"},{"doc":"Mining Endpoints","ref":"Binance.Mining.html","title":"Binance.Mining","type":"module"},{"doc":"Hashrate Resale List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/hash-transfer/config/details/list\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- pageIndex - Page number, default is first page, start form 1\n- pageSize - Number of pages, minimum 10, maximum 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_hash_transfer_config_details_list/1","title":"Binance.Mining.get_mining_hash_transfer_config_details_list/1","type":"function"},{"doc":"Hashrate Resale Detail (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/hash-transfer/profit/details\n\nMandatory params:\n\n- configId - Mining ID\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- pageIndex - Page number, default is first page, start form 1\n- pageSize - Number of pages, minimum 10, maximum 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_hash_transfer_profit_details/3","title":"Binance.Mining.get_mining_hash_transfer_profit_details/3","type":"function"},{"doc":"Earnings List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/payment/list\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- coin - Coin name\n- startDate - Search date, millisecond timestamp, while empty query all\n- endDate - Search date, millisecond timestamp, while empty query all\n- pageIndex - Page number, default is first page, start form 1\n- pageSize - Number of pages, minimum 10, maximum 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_payment_list/3","title":"Binance.Mining.get_mining_payment_list/3","type":"function"},{"doc":"Extra Bonus List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/payment/other\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- coin - Coin name\n- startDate - Search date, millisecond timestamp, while empty query all\n- endDate - Search date, millisecond timestamp, while empty query all\n- pageIndex - Page number, default is first page, start form 1\n- pageSize - Number of pages, minimum 10, maximum 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_payment_other/3","title":"Binance.Mining.get_mining_payment_other/3","type":"function"},{"doc":"Mining Account Earning (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/payment/uid\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n\nOptional params:\n\n- timestamp - timestamp\n- startDate - Search date, millisecond timestamp, while empty query all\n- endDate - Search date, millisecond timestamp, while empty query all\n- pageIndex - Page number, default is first page, start form 1\n- pageSize - Number of pages, minimum 10, maximum 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_payment_uid/2","title":"Binance.Mining.get_mining_payment_uid/2","type":"function"},{"doc":"Acquiring Algorithm (MARKET_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/pub/algoList\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Mining.html#get_mining_pub_algo_list/1","title":"Binance.Mining.get_mining_pub_algo_list/1","type":"function"},{"doc":"Acquiring CoinName (MARKET_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/pub/coinList\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Mining.html#get_mining_pub_coin_list/1","title":"Binance.Mining.get_mining_pub_coin_list/1","type":"function"},{"doc":"Account List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/statistics/user/list\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_statistics_user_list/3","title":"Binance.Mining.get_mining_statistics_user_list/3","type":"function"},{"doc":"Statistic List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/statistics/user/status\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_statistics_user_status/3","title":"Binance.Mining.get_mining_statistics_user_status/3","type":"function"},{"doc":"Request for Detail Miner List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/worker/detail\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n- workerName - Miner’s name\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_worker_detail/4","title":"Binance.Mining.get_mining_worker_detail/4","type":"function"},{"doc":"Request for Miner List (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/mining/worker/list\n\nMandatory params:\n\n- algo - Algorithm(sha256)\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- pageIndex - Page number, default is first page, start form 1\n- sort - sort sequence（default=0）0 positive sequence, 1 negative sequence\n- sortColumn - Sort by( default 1): 1: miner name, 2: real-time computing power, 3: daily average computing power, 4: real-time rejection rate, 5: last submission time\n- workerStatus - miners status（default=0）0 all, 1 valid, 2 invalid, 3 failure\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#get_mining_worker_list/3","title":"Binance.Mining.get_mining_worker_list/3","type":"function"},{"doc":"Hashrate Resale Request (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/mining/hash-transfer/config\n\nMandatory params:\n\n- userName - Mining Account\n- algo - Algorithm(sha256)\n- toPoolUser - Mining Account\n- hashRate - Resale hashrate h/s must be transferred (BTC is greater than 500000000000 ETH is greater than 500000)\n\nOptional params:\n\n- timestamp - timestamp\n- startDate - Search date, millisecond timestamp, while empty query all\n- endDate - Search date, millisecond timestamp, while empty query all\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#post_mining_hash_transfer_config/5","title":"Binance.Mining.post_mining_hash_transfer_config/5","type":"function"},{"doc":"Cancel hashrate resale configuration (USER_DATA)\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/mining/hash-transfer/config/cancel\n\nMandatory params:\n\n- configId - Mining ID\n- userName - Mining Account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Mining.html#post_mining_hash_transfer_config_cancel/3","title":"Binance.Mining.post_mining_hash_transfer_config_cancel/3","type":"function"},{"doc":"NFT Endpoints","ref":"Binance.Nft.html","title":"Binance.Nft","type":"module"},{"doc":"Get NFT Deposit History (USER_DATA)\n\n- The max interval between startTime and endTime is 90 days.\n- If startTime and endTime are not sent, the recent 7 days' data will be returned.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/nft/history/deposit\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 50, Max 50\n- page - Default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Nft.html#get_nft_history_deposit/1","title":"Binance.Nft.get_nft_history_deposit/1","type":"function"},{"doc":"Get NFT Transaction History (USER_DATA)\n\n- The max interval between startTime and endTime is 90 days.\n- If startTime and endTime are not sent, the recent 7 days' data will be returned.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/nft/history/transactions\n\nMandatory params:\n\n- orderType - 0: purchase order, 1: sell order, 2: royalty income, 3: primary market order, 4: mint fee\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 50, Max 50\n- page - Default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Nft.html#get_nft_history_transactions/2","title":"Binance.Nft.get_nft_history_transactions/2","type":"function"},{"doc":"Get NFT Withdraw History (USER_DATA)\n\n- The max interval between startTime and endTime is 90 days.\n- If startTime and endTime are not sent, the recent 7 days' data will be returned.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/nft/history/withdraw\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 50, Max 50\n- page - Default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Nft.html#get_nft_history_withdraw/1","title":"Binance.Nft.get_nft_history_withdraw/1","type":"function"},{"doc":"Get NFT Asset (USER_DATA)\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/nft/user/getAsset\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- limit - Default 50, Max 50\n- page - Default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Nft.html#get_nft_user_get_asset/1","title":"Binance.Nft.get_nft_user_get_asset/1","type":"function"},{"doc":"Pay Endpoints","ref":"Binance.Pay.html","title":"Binance.Pay","type":"module"},{"doc":"Get Pay Trade History (USER_DATA)\n\n- If startTimestamp and endTimestamp are not sent, the recent 90 days' data will be returned.\n- The max interval between startTimestamp and endTimestamp is 90 days.\n- Support for querying orders within the last 18 months.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/pay/transactions\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - default 100, max 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Pay.html#get_pay_transactions/1","title":"Binance.Pay.get_pay_transactions/1","type":"function"},{"doc":"The Binance Portfolio Margin Program is a cross-asset margin program supporting consolidated margin balance across trading products with over 200+ effective crypto collaterals. It is designed for professional traders, market makers, and institutional users looking to actively trade & hedge cross-asset and optimize risk-management in a consolidated setup.","ref":"Binance.PortfolioMargin.html","title":"Binance.PortfolioMargin","type":"module"},{"doc":"Get Classic Portfolio Margin Account Info (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/account\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#get_portfolio_account/1","title":"Binance.PortfolioMargin.get_portfolio_account/1","type":"function"},{"doc":"Query Portfolio Margin Asset Index Price (MARKET_DATA)\n\nQuery Portfolio Margin Asset Index Price\n\nWeight(IP): 1 if send asset or 50 if not send asset\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/asset-index-price\n\nMandatory params:\n\n\n\nOptional params:\n\n- asset -","ref":"Binance.PortfolioMargin.html#get_portfolio_asset_index_price/1","title":"Binance.PortfolioMargin.get_portfolio_asset_index_price/1","type":"function"},{"doc":"Classic Portfolio Margin Collateral Rate (MARKET_DATA)\n\nPortfolio Margin Collateral Rate.\n\nWeight(IP): 50\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/collateralRate\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.PortfolioMargin.html#get_portfolio_collateral_rate/1","title":"Binance.PortfolioMargin.get_portfolio_collateral_rate/1","type":"function"},{"doc":"Query Classic Portfolio Margin Negative Balance Interest History(USER_DATA)\n\nQuery interest history of negative balance for portfolio margin.\n\nWeight(IP): 50\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/interest-history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- startTime - \n- endTime - \n- size - Default:10 Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#get_portfolio_interest_history/1","title":"Binance.PortfolioMargin.get_portfolio_interest_history/1","type":"function"},{"doc":"Query Classic Portfolio Margin Bankruptcy Loan Amount (USER_DATA)\n\nQuery Portfolio Margin Bankruptcy Loan Amount.\n\nWeight(UID): 500\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/pmLoan\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#get_portfolio_pm_loan/1","title":"Binance.PortfolioMargin.get_portfolio_pm_loan/1","type":"function"},{"doc":"Get Auto-repay-futures Status (USER_DATA)\n\nQuery Auto-repay-futures Status\n\nWeight(IP): 30\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/portfolio/repay-futures-switch\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#get_portfolio_repay_futures_switch/1","title":"Binance.PortfolioMargin.get_portfolio_repay_futures_switch/1","type":"function"},{"doc":"Fund Collection by Asset (TRADE)\n\nTransfers specific asset from Futures Account to Margin account\n\nThe BNB transfer is not be supported\n\nWeight(IP): 60\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/asset-collection\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_asset_collection/1","title":"Binance.PortfolioMargin.post_portfolio_asset_collection/1","type":"function"},{"doc":"Fund Auto-collection (TRADE)\n\nTransfers all assets from Futures Account to Margin account\n\nThe BNB would not be collected from UM-PM account to the Portfolio Margin account.\n\nYou can only use this function 500 times per hour in a rolling manner.\n\nWeight(IP): 1500\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/auto-collection\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_auto_collection/1","title":"Binance.PortfolioMargin.post_portfolio_auto_collection/1","type":"function"},{"doc":"BNB transfer (TRADE)\n\nBNB transfer can be between Margin Account and USDM Account\n\nYou can only use this function 2 times per 10 minutes in a rolling manner\n\nWeight(IP): 1500\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/bnb-transfer\n\nMandatory params:\n\n- amount - \n- transferSide - TO_UM,FROM_UM\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_bnb_transfer/3","title":"Binance.PortfolioMargin.post_portfolio_bnb_transfer/3","type":"function"},{"doc":"Classic Portfolio Margin Bankruptcy Loan Repay\n\nRepay Portfolio Margin Bankruptcy Loan.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/repay\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_repay/1","title":"Binance.PortfolioMargin.post_portfolio_repay/1","type":"function"},{"doc":"Repay futures Negative Balance (USER_DATA)\n\nRepay futures Negative Balance\n\nWeight(IP): 1500\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/repay-futures-negative-balance\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_repay_futures_negative_balance/1","title":"Binance.PortfolioMargin.post_portfolio_repay_futures_negative_balance/1","type":"function"},{"doc":"Change Auto-repay-futures Status (TRADE)\n\nChange Auto-repay-futures Status\n\nWeight(IP): 1500\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/portfolio/repay-futures-switch\n\nMandatory params:\n\n- autoRepay - Default: true; false for turn off the auto-repay futures negative balance function\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.PortfolioMargin.html#post_portfolio_repay_futures_switch/2","title":"Binance.PortfolioMargin.post_portfolio_repay_futures_switch/2","type":"function"},{"doc":"Rebate Endpoints","ref":"Binance.Rebate.html","title":"Binance.Rebate","type":"module"},{"doc":"Get Spot Rebate History Records (USER_DATA)\n\n- The max interval between startTime and endTime is 90 days.\n- If startTime and endTime are not sent, the recent 7 days' data will be returned.\n- The earliest startTime is supported on June 10, 2020\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/rebate/taxQuery\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- page - default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Rebate.html#get_rebate_tax_query/1","title":"Binance.Rebate.get_rebate_tax_query/1","type":"function"},{"doc":"","ref":"Binance.Responses.HistoricalTrades.html","title":"Binance.Responses.HistoricalTrades","type":"module"},{"doc":"","ref":"Binance.Responses.HistoricalTrades.html#new/1","title":"Binance.Responses.HistoricalTrades.new/1","type":"function"},{"doc":"","ref":"Binance.Responses.Klines.html","title":"Binance.Responses.Klines","type":"module"},{"doc":"","ref":"Binance.Responses.Klines.html#new/1","title":"Binance.Responses.Klines.new/1","type":"function"},{"doc":"","ref":"Binance.Responses.OpenOrders.html","title":"Binance.Responses.OpenOrders","type":"module"},{"doc":"","ref":"Binance.Responses.OpenOrders.html#new/1","title":"Binance.Responses.OpenOrders.new/1","type":"function"},{"doc":"","ref":"Binance.Responses.TickerPrice.html","title":"Binance.Responses.TickerPrice","type":"module"},{"doc":"","ref":"Binance.Responses.TickerPrice.html#new/1","title":"Binance.Responses.TickerPrice.new/1","type":"function"},{"doc":"","ref":"Binance.Rest.HTTPClient.html","title":"Binance.Rest.HTTPClient","type":"module"},{"doc":"","ref":"Binance.Rest.HTTPClient.html#signed_request_binance/3","title":"Binance.Rest.HTTPClient.signed_request_binance/3","type":"function"},{"doc":"You need to send an empty body and the api key\nto be able to create a new listening key.","ref":"Binance.Rest.HTTPClient.html#unsigned_request_binance/3","title":"Binance.Rest.HTTPClient.unsigned_request_binance/3","type":"function"},{"doc":"Savings Endpoints","ref":"Binance.Savings.html","title":"Binance.Savings","type":"module"},{"doc":"Get Fixed and Activity Project List (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/project/list\n\nMandatory params:\n\n- type - \"ACTIVITY\", \"CUSTOMIZED_FIXED\"\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- status - Default `ALL`\n- isSortAsc - default \"true\"\n- sortBy - Default `START_TIME`\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Savings.html#get_lending_project_list/2","title":"Binance.Savings.get_lending_project_list/2","type":"function"},{"doc":"Get Fixed/Activity Project Position (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/lending/project/position/list\n\nMandatory params:\n\n- asset - \n\nOptional params:\n\n- timestamp - timestamp\n- projectId - \n- status - Default `ALL`\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Savings.html#get_lending_project_position_list/2","title":"Binance.Savings.get_lending_project_position_list/2","type":"function"},{"doc":"Purchase Fixed/Activity Project (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/lending/customizedFixed/purchase\n\nMandatory params:\n\n- projectId - \n- lot - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Savings.html#post_lending_customized_fixed_purchase/3","title":"Binance.Savings.post_lending_customized_fixed_purchase/3","type":"function"},{"doc":"Change Fixed/Activity Position to Daily Position (USER_DATA)\n\n- PositionId is mandatory parameter for fixed position.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/lending/positionChanged\n\nMandatory params:\n\n- projectId - \n- lot - \n\nOptional params:\n\n- timestamp - timestamp\n- positionId - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Savings.html#post_lending_position_changed/3","title":"Binance.Savings.post_lending_position_changed/3","type":"function"},{"doc":"The endpoints allow you to interact with Binance Simple Earn.\n\nFor more information on this, please refer to the Binance Simple Earn page","ref":"Binance.SimpleEarn.html","title":"Binance.SimpleEarn","type":"module"},{"doc":"Simple Account (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/account\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_account/1","title":"Binance.SimpleEarn.get_simple_earn_account/1","type":"function"},{"doc":"Get Collateral Record (USER_DATA)\n\nThe time between startTime and endTime cannot be longer than 3 months.\nIf startTime and endTime are both not sent, then the last 30 days' data will be returned.\nIf startTime is sent but endTime is not sent, the next 30 days' data beginning from startTime will be returned.\nIf endTime is sent but startTime is not sent, the 30 days' data before endTime will be returned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/history/collateralRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- productId - \n- startTime - \n- endTime - \n- current - \n- size - \n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_history_collateral_record/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_history_collateral_record/1","type":"function"},{"doc":"Get Rate History (USER_DATA)\n\nThe time between startTime and endTime cannot be longer than 3 months.\nIf startTime and endTime are both not sent, then the last 30 days' data will be returned.\nIf startTime is sent but endTime is not sent, the next 30 days' data beginning from startTime will be returned.\nIf endTime is sent but startTime is not sent, the 30 days' data before endTime will be returned.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/history/rateHistory\n\nMandatory params:\n\n- productId - \n\nOptional params:\n\n- timestamp - timestamp\n- startTime - \n- endTime - \n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_history_rate_history/2","title":"Binance.SimpleEarn.get_simple_earn_flexible_history_rate_history/2","type":"function"},{"doc":"Get Flexible Redemption Record (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/history/redemptionRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- productId - \n- redeemId - \n- asset - \n- startTime - \n- endTime - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_history_redemption_record/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_history_redemption_record/1","type":"function"},{"doc":"Get Flexible Rewards History (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/history/rewardsRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- productId - \n- asset - \n- startTime - \n- endTime - \n- type - BONUS, REALTIME, REWARDS","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_history_rewards_record/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_history_rewards_record/1","type":"function"},{"doc":"Get Flexible Subscription Record (USER_DATA)\n\nThe time between startTime and endTime cannot be longer than 3 months.\nIf startTime and endTime are both not sent, then the last 30 days' data will be returned.\nIf startTime is sent but endTime is not sent, the next 30 days' data beginning from startTime will be returned.\nIf endTime is sent but startTime is not sent, the 30 days' data before endTime will be returned.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/history/subscriptionRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- productId - \n- purchaseId - \n- asset - \n- startTime - \n- endTime - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_history_subscription_record/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_history_subscription_record/1","type":"function"},{"doc":"Get Simple Earn Flexible Product List (USER_DATA)\n\nGet available Simple Earn flexible product list\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/list\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_list/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_list/1","type":"function"},{"doc":"Get Flexible Personal Left Quota (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/personalLeftQuota\n\nMandatory params:\n\n- productId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_personal_left_quota/2","title":"Binance.SimpleEarn.get_simple_earn_flexible_personal_left_quota/2","type":"function"},{"doc":"Get Flexible Product Position (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/position\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- productId - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_position/1","title":"Binance.SimpleEarn.get_simple_earn_flexible_position/1","type":"function"},{"doc":"Get Flexible Subscription Preview (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/flexible/subscriptionPreview\n\nMandatory params:\n\n- productId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_flexible_subscription_preview/3","title":"Binance.SimpleEarn.get_simple_earn_flexible_subscription_preview/3","type":"function"},{"doc":"Get Locked Rewards History (USER_DATA)\n\nThe time between startTime and endTime cannot be longer than 3 months.\nIf startTime and endTime are both not sent, then the last 30 days' data will be returned.\nIf startTime is sent but endTime is not sent, the next 30 days' data beginning from startTime will be returned.\nIf endTime is sent but startTime is not sent, the 30 days' data before endTime will be returned.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/history/redemptionRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- positionId - \n- asset - \n- startTime - \n- endTime - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_history_redemption_record/1","title":"Binance.SimpleEarn.get_simple_earn_locked_history_redemption_record/1","type":"function"},{"doc":"Get Locked Subscription Record (USER_DATA)\n\nThe time between startTime and endTime cannot be longer than 3 months.\nIf startTime and endTime are both not sent, then the last 30 days' data will be returned.\nIf startTime is sent but endTime is not sent, the next 30 days' data beginning from startTime will be returned.\nIf endTime is sent but startTime is not sent, the 30 days' data before endTime will be returned.\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/history/subscriptionRecord\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- purchaseId - \n- asset - \n- startTime - \n- endTime - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_history_subscription_record/1","title":"Binance.SimpleEarn.get_simple_earn_locked_history_subscription_record/1","type":"function"},{"doc":"Get Simple Earn Locked Product List (USER_DATA)\n\nGet available Simple Earn locked product list\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/list\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_list/1","title":"Binance.SimpleEarn.get_simple_earn_locked_list/1","type":"function"},{"doc":"Get Locked Personal Left Quota (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/personalLeftQuota\n\nMandatory params:\n\n- projectId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_personal_left_quota/2","title":"Binance.SimpleEarn.get_simple_earn_locked_personal_left_quota/2","type":"function"},{"doc":"Get Locked Product Position (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/position\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- positionId - \n- projectId - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_position/1","title":"Binance.SimpleEarn.get_simple_earn_locked_position/1","type":"function"},{"doc":"Get Locked Subscription Preview (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/simple-earn/locked/subscriptionPreview\n\nMandatory params:\n\n- projectId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- autoSubscribe - true or false, default true.\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#get_simple_earn_locked_subscription_preview/3","title":"Binance.SimpleEarn.get_simple_earn_locked_subscription_preview/3","type":"function"},{"doc":"Redeem Flexible Product (TRADE)\n\nRate Limit: 1/3s per account\n\nYou need to open Enable Spot & Margin Trading permission for the API Key which requests this endpoint.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/flexible/redeem\n\nMandatory params:\n\n- productId - \n\nOptional params:\n\n- timestamp - timestamp\n- redeemAll - true or false, default to false\n- amount - if redeemAll is false, amount is mandatory\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_flexible_redeem/2","title":"Binance.SimpleEarn.post_simple_earn_flexible_redeem/2","type":"function"},{"doc":"Set Flexible Auto Subscribe (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/flexible/setAutoSubscribe\n\nMandatory params:\n\n- productId - \n- autoSubscribe - true or false\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_flexible_set_auto_subscribe/3","title":"Binance.SimpleEarn.post_simple_earn_flexible_set_auto_subscribe/3","type":"function"},{"doc":"Subscribe Flexible Product (TRADE)\n\nRate Limit: 1/3s per account\n\nYou need to open Enable Spot & Margin Trading permission for the API Key which requests this endpoint.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/flexible/subscribe\n\nMandatory params:\n\n- productId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- autoSubscribe - true or false, default true\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_flexible_subscribe/3","title":"Binance.SimpleEarn.post_simple_earn_flexible_subscribe/3","type":"function"},{"doc":"Redeem Locked Product (TRADE)\n\nRate Limit: 1/3s per account\n\nYou need to open Enable Spot & Margin Trading permission for the API Key which requests this endpoint\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/locked/redeem\n\nMandatory params:\n\n- positionId - eg. 1234\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_locked_redeem/2","title":"Binance.SimpleEarn.post_simple_earn_locked_redeem/2","type":"function"},{"doc":"Set Locked Auto Subscribe (USER_DATA)\n\nWeight(IP): 150\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/locked/setAutoSubscribe\n\nMandatory params:\n\n- positionId - \n- autoSubscribe - true or false\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_locked_set_auto_subscribe/3","title":"Binance.SimpleEarn.post_simple_earn_locked_set_auto_subscribe/3","type":"function"},{"doc":"Subscribe Locked Product (TRADE)\n\nRate Limit: 1/3s per account\n\nYou need to open Enable Spot & Margin Trading permission for the API Key which requests this endpoint.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/simple-earn/locked/subscribe\n\nMandatory params:\n\n- projectId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- autoSubscribe - true or false, default true\n- recvWindow - no more than 60000","ref":"Binance.SimpleEarn.html#post_simple_earn_locked_subscribe/3","title":"Binance.SimpleEarn.post_simple_earn_locked_subscribe/3","type":"function"},{"doc":"Binance Spot Execution Algorithm API solution aims to provide users ability to programmatically leverage Binance in-house algorithmic trading\ncapability to automate order execution strategy, improve execution transparency and give users smart access to the available market liquidity.\nDuring the introductory period, there will be no additional fees for TWAP orders. Standard trading fees apply. Order size exceeds to maximum API supported size (100,000 USDT).\nPlease contact liquidity@binance.com for larger sizes.","ref":"Binance.SpotAlgo.html","title":"Binance.SpotAlgo","type":"module"},{"doc":"Cancel Algo Order (TRADE)\n\nCancel an open TWAP order\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/algo/spot/order\n\nMandatory params:\n\n- algoId - eg. 14511\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SpotAlgo.html#delete_algo_spot_order/2","title":"Binance.SpotAlgo.delete_algo_spot_order/2","type":"function"},{"doc":"Query Historical Algo Orders (USER_DATA)\n\nGet all historical SPOT TWAP orders\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/spot/historicalOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbol - Trading symbol eg. BTCUSDT\n- side - BUY or SELL\n- startTime - in milliseconds eg.1641522717552\n- endTime - in milliseconds eg.1641522526562\n- page - Default is 1\n- pageSize - MIN 1, MAX 100; Default 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SpotAlgo.html#get_algo_spot_historical_orders/1","title":"Binance.SpotAlgo.get_algo_spot_historical_orders/1","type":"function"},{"doc":"Query Current Algo Open Orders (USER_DATA)\n\nGet all open SPOT TWAP orders\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/spot/openOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SpotAlgo.html#get_algo_spot_open_orders/1","title":"Binance.SpotAlgo.get_algo_spot_open_orders/1","type":"function"},{"doc":"Query Sub Orders (USER_DATA)\n\nGet respective sub orders for a specified algoId\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/algo/spot/subOrders\n\nMandatory params:\n\n- algoId - \n\nOptional params:\n\n- timestamp - timestamp\n- page - Default is 1\n- pageSize - MIN 1, MAX 100; Default 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SpotAlgo.html#get_algo_spot_sub_orders/2","title":"Binance.SpotAlgo.get_algo_spot_sub_orders/2","type":"function"},{"doc":"Time-Weighted Average Price New Order (TRADE)\n\nPlace a new spot TWAP order with Algo service.\n\nTotal Algo open orders max allowed: 10 orders.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/algo/spot/newOrderTwap\n\nMandatory params:\n\n- symbol - Trading symbol eg. BTCUSDT\n- side - Trading side ( BUY or SELL )\n- quantity - Quantity of base asset; The notional (quantity * last price(base asset)) must be more than the equivalent of 1,000 USDT and less than the equivalent of 100,000 USDT\n- duration - Duration for TWAP orders in seconds. [300, 86400]\n\nOptional params:\n\n- timestamp - timestamp\n- clientAlgoId - A unique id among Algo orders (length should be 32 characters)， If it is not sent, we will give default value\n- limitPrice - Limit price of the order; If it is not sent, will place order by market price by default\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SpotAlgo.html#post_algo_spot_new_order_twap/5","title":"Binance.SpotAlgo.post_algo_spot_new_order_twap/5","type":"function"},{"doc":"","ref":"Binance.Staking.html","title":"Binance.Staking","type":"module"},{"doc":"Get Personal Left Quota of Staking Product (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/staking/personalLeftQuota\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n- productId - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#get_staking_personal_left_quota/3","title":"Binance.Staking.get_staking_personal_left_quota/3","type":"function"},{"doc":"Get Staking Product Position (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/staking/position\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n\nOptional params:\n\n- timestamp - timestamp\n- productId - \n- asset - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#get_staking_position/2","title":"Binance.Staking.get_staking_position/2","type":"function"},{"doc":"Get Staking Product List (USER_DATA)\n\nGet available Staking product list.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/staking/productList\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- current - Currently querying page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#get_staking_product_list/2","title":"Binance.Staking.get_staking_product_list/2","type":"function"},{"doc":"Get Staking History (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/staking/stakingRecord\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n- txnType - `SUBSCRIPTION`, `REDEMPTION`, `INTEREST`\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- startTime - \n- endTime - \n- current - Currently querying the page. Start from 1. Default:1\n- size - Default:10, Max:100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#get_staking_staking_record/3","title":"Binance.Staking.get_staking_staking_record/3","type":"function"},{"doc":"Purchase Staking Product (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/staking/purchase\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n- productId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- renewable - true or false, default false. Active if product is `STAKING` or `L_DEFI`\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#post_staking_purchase/4","title":"Binance.Staking.post_staking_purchase/4","type":"function"},{"doc":"Redeem Staking Product (USER_DATA)\n\nRedeem Staking product. Locked staking and Locked DeFI staking belong to early redemption, redeeming in advance will result in loss of interest that you have earned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/staking/redeem\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `F_DEFI` - for flexible DeFi Staking\n* `L_DEFI` - for locked DeFi Staking\n- productId - \n\nOptional params:\n\n- timestamp - timestamp\n- positionId - Mandatory if product is `STAKING` or `L_DEFI`\n- amount - Mandatory if product is `F_DEFI`\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#post_staking_redeem/3","title":"Binance.Staking.post_staking_redeem/3","type":"function"},{"doc":"Set Auto Staking (USER_DATA)\n\nSet auto staking on Locked Staking or Locked DeFi Staking\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/staking/setAutoStaking\n\nMandatory params:\n\n- product - * `STAKING` - for Locked Staking\n* `L_DEFI` - for locked DeFi Staking\n- positionId - \n- renewable - true or false\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Staking.html#post_staking_set_auto_staking/4","title":"Binance.Staking.post_staking_set_auto_staking/4","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v3/account\n\n```\ndefstruct [\n  :maker_commission,\n  :taker_commission,\n  :buyer_commission,\n  :seller_commission,\n  :can_trade,\n  :can_withdrawl,\n  :can_deposit,\n  :update_time,\n  :balances\n]\n```","ref":"Binance.Structs.Account.html","title":"Binance.Structs.Account","type":"module"},{"doc":"","ref":"Binance.Structs.Account.html#new/2","title":"Binance.Structs.Account.new/2","type":"function"},{"doc":"Struct for representing a user data stream.\n\n```\ndefstruct [\n  :listen_key\n]\n```","ref":"Binance.Structs.DataStream.html","title":"Binance.Structs.DataStream","type":"module"},{"doc":"","ref":"Binance.Structs.DataStream.html#new/2","title":"Binance.Structs.DataStream.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v1/exchangeInfo","ref":"Binance.Structs.ExchangeInfo.html","title":"Binance.Structs.ExchangeInfo","type":"module"},{"doc":"","ref":"Binance.Structs.ExchangeInfo.html#new/2","title":"Binance.Structs.ExchangeInfo.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v3/historicalTrades","ref":"Binance.Structs.HistoricalTrade.html","title":"Binance.Structs.HistoricalTrade","type":"module"},{"doc":"","ref":"Binance.Structs.HistoricalTrade.html#from_response/1","title":"Binance.Structs.HistoricalTrade.from_response/1","type":"function"},{"doc":"","ref":"Binance.Structs.HistoricalTrade.html#new/2","title":"Binance.Structs.HistoricalTrade.new/2","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v3/kline\n\n```\ndefstruct [\n  :open_time,\n  :open,\n  :high,\n  :low,\n  :close,\n  :volume,\n  :close_time,\n  :quote_asset_volume,\n  :number_of_trades,\n  :taker_buy_base_asset_volume,\n  :taker_buy_quote_asset_volume,\n  :ignore\n]\n```","ref":"Binance.Structs.Kline.html","title":"Binance.Structs.Kline","type":"module"},{"doc":"","ref":"Binance.Structs.Kline.html#new/1","title":"Binance.Structs.Kline.new/1","type":"function"},{"doc":"Struct for representing the result returned by /api/v3/openOrders","ref":"Binance.Structs.Order.html","title":"Binance.Structs.Order","type":"module"},{"doc":"","ref":"Binance.Structs.Order.html#new/2","title":"Binance.Structs.Order.new/2","type":"function"},{"doc":"Struct for representing the result returned by /api/v1/depth","ref":"Binance.Structs.OrderBook.html","title":"Binance.Structs.OrderBook","type":"module"},{"doc":"","ref":"Binance.Structs.OrderBook.html#new/2","title":"Binance.Structs.OrderBook.new/2","type":"function"},{"doc":"Response tructure for POST /api/v3/order endpoint.\nAll prices and quantities are string representation of floats with 8 decimals (eg: \"orig_qty\": \"10.00000000\")","ref":"Binance.Structs.OrderResponse.html","title":"Binance.Structs.OrderResponse","type":"module"},{"doc":"","ref":"Binance.Structs.OrderResponse.html#new/2","title":"Binance.Structs.OrderResponse.new/2","type":"function"},{"doc":"side: \"BUY\" | \"SELL\"","ref":"Binance.Structs.OrderResponse.html#t:side/0","title":"Binance.Structs.OrderResponse.side/0","type":"type"},{"doc":"status: \"NEW\" | \"PARTIALLY_FILLED\" | \"FILLED\" | \"CANCELED\" | \"PENDING_CANCEL\" | \"REJECTED\" | \"EXPIRED\"","ref":"Binance.Structs.OrderResponse.html#t:status/0","title":"Binance.Structs.OrderResponse.status/0","type":"type"},{"doc":"","ref":"Binance.Structs.OrderResponse.html#t:t/0","title":"Binance.Structs.OrderResponse.t/0","type":"type"},{"doc":"type: \"LIMIT\" | \"MARKET\" | \"STOP\" | \"STOP_MARKET\" | \"TAKE_PROFIT\" | \"TAKE_PROFIT_MARKET\" | \"LIMIT_MAKER\"","ref":"Binance.Structs.OrderResponse.html#t:type/0","title":"Binance.Structs.OrderResponse.type/0","type":"type"},{"doc":"","ref":"Binance.Structs.Orders.html","title":"Binance.Structs.Orders","type":"module"},{"doc":"","ref":"Binance.Structs.Orders.html#new/1","title":"Binance.Structs.Orders.new/1","type":"function"},{"doc":"","ref":"Binance.Structs.ServerTime.html","title":"Binance.Structs.ServerTime","type":"module"},{"doc":"","ref":"Binance.Structs.ServerTime.html#new/1","title":"Binance.Structs.ServerTime.new/1","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v1/ticker/allPrices\n\n```\ndefstruct [:symbol, :price]\n```","ref":"Binance.Structs.SymbolPrice.html","title":"Binance.Structs.SymbolPrice","type":"module"},{"doc":"","ref":"Binance.Structs.SymbolPrice.html#new/2","title":"Binance.Structs.SymbolPrice.new/2","type":"function"},{"doc":"Struct for representing the result returned by /wapi/v3/systemStatus.html\n\n```\ndefstruct [:status, :msg]\n```","ref":"Binance.Structs.SystemStatus.html","title":"Binance.Structs.SystemStatus","type":"module"},{"doc":"","ref":"Binance.Structs.SystemStatus.html#new/2","title":"Binance.Structs.SystemStatus.new/2","type":"function"},{"doc":"Struct for representing a result row as returned by /api/v1/ticker/24hr\n\n```\ndefstruct [\n  :price_change,\n  :price_change_percent,\n  :weighted_avg_price,\n  :prev_close_price,\n  :last_price,\n  :bid_price,\n  :ask_price,\n  :open_price,\n  :high_price,\n  :low_price,\n  :volume,\n  :open_time,\n  :close_time,\n  :first_id,\n  :last_id,\n  :count\n]\n```","ref":"Binance.Structs.Ticker.html","title":"Binance.Structs.Ticker","type":"module"},{"doc":"","ref":"Binance.Structs.Ticker.html#new/2","title":"Binance.Structs.Ticker.new/2","type":"function"},{"doc":"Sub-account Endpoints","ref":"Binance.SubAccount.html","title":"Binance.SubAccount","type":"module"},{"doc":"Delete IP List for a Sub-account API Key (For Master Account)\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/sub-account/subAccountApi/ipRestriction/ipList\n\nMandatory params:\n\n- email - Sub-account email\n- subAccountApiKey - \n- ipAddress - Can be added in batches, separated by commas\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000\n- thirdPartyName - Third Party Name","ref":"Binance.SubAccount.html#delete_sub_account_sub_account_api_ip_restriction_ip_list/4","title":"Binance.SubAccount.delete_sub_account_sub_account_api_ip_restriction_ip_list/4","type":"function"},{"doc":"Get Sub-account Deposit Address (For Master Account)\n\nFetch sub-account deposit address\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/deposit/subAddress\n\nMandatory params:\n\n- email - Sub-account email\n- coin - Coin name\n\nOptional params:\n\n- timestamp - timestamp\n- network - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_capital_deposit_sub_address/3","title":"Binance.SubAccount.get_capital_deposit_sub_address/3","type":"function"},{"doc":"Get Sub-account Deposit History (For Master Account)\n\nFetch sub-account deposit history\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/deposit/subHisrec\n\nMandatory params:\n\n- email - Sub-account email\n\nOptional params:\n\n- timestamp - timestamp\n- coin - Coin name\n- status - 0(0:pending,6: credited but cannot withdraw, 1:success)\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - \n- offset - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_capital_deposit_sub_hisrec/2","title":"Binance.SubAccount.get_capital_deposit_sub_hisrec/2","type":"function"},{"doc":"Query managed sub-account snapshot (For Investor Master Account)\n\n- The query time period must be less then 30 days\n- Support query within the last one month only\n- If `startTime` and `endTime` not sent, return records of the last 7 days by default\n\nWeight(IP): 2400\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/accountSnapshot\n\nMandatory params:\n\n- email - \n- type - \"SPOT\", \"MARGIN\"（cross）, \"FUTURES\"（UM）\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - \n- endTime - \n- limit - min 7, max 30, default 7\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_managed_subaccount_account_snapshot/3","title":"Binance.SubAccount.get_managed_subaccount_account_snapshot/3","type":"function"},{"doc":"Query managed sub-account asset details (For Investor Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/asset\n\nMandatory params:\n\n- email - Sub-account email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_managed_subaccount_asset/2","title":"Binance.SubAccount.get_managed_subaccount_asset/2","type":"function"},{"doc":"Get Managed Sub-account Deposit Address (For Investor Master Account) (USER_DATA)\n\nGet investor's managed sub-account deposit address.\n\nWeight(UID): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/deposit/address\n\nMandatory params:\n\n- email - Sub user email\n- coin - \n\nOptional params:\n\n- timestamp - timestamp\n- network - networks can be found in GET /sapi/v1/capital/deposit/address\n- recvWindow -","ref":"Binance.SubAccount.html#get_managed_subaccount_deposit_address/3","title":"Binance.SubAccount.get_managed_subaccount_deposit_address/3","type":"function"},{"doc":"Query Managed Sub-account Futures Asset Details (For Investor Master Account) (USER_DATA)\n\nInvestor can use this api to query managed sub account futures asset details\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/fetch-future-asset\n\nMandatory params:\n\n- email - Managed Sub Account Email\n\nOptional params:","ref":"Binance.SubAccount.html#get_managed_subaccount_fetch_future_asset/2","title":"Binance.SubAccount.get_managed_subaccount_fetch_future_asset/2","type":"function"},{"doc":"Query Managed Sub-account List (For Investor)(USER_DATA)\n\nGet investor's managed sub-account list.\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/info\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- email - Managed Sub Account Email\n- page - Default value: 1\n- limit - Default value: 20, Max value: 20\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_managed_subaccount_info/1","title":"Binance.SubAccount.get_managed_subaccount_info/1","type":"function"},{"doc":"Query Managed Sub-account Margin Asset Details (For Investor Master Account) (USER_DATA)\n\nInvestor can use this api to query managed sub account margin asset details\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/marginAsset\n\nMandatory params:\n\n- email - Managed Sub Account Email\n\nOptional params:","ref":"Binance.SubAccount.html#get_managed_subaccount_margin_asset/2","title":"Binance.SubAccount.get_managed_subaccount_margin_asset/2","type":"function"},{"doc":"Query Managed Sub Account Transfer Log (For Trading Team Sub Account)(USER_DATA)\n\nQuery Managed Sub Account Transfer Log (For Trading Team Sub Account)\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/query-trans-log\n\nMandatory params:\n\n- startTime - Start Time\n- endTime - End Time (The start time and end time interval cannot exceed half a year)\n- page - Page\n- limit - Limit (Max: 500)\n\nOptional params:\n\n- timestamp - timestamp\n- transfers - Transfer Direction (FROM/TO)\n- transferFunctionAccountType - Transfer function account type (SPOT/MARGIN/ISOLATED_MARGIN/USDT_FUTURE/COIN_FUTURE)\n- recvWindow -","ref":"Binance.SubAccount.html#get_managed_subaccount_query_trans_log/5","title":"Binance.SubAccount.get_managed_subaccount_query_trans_log/5","type":"function"},{"doc":"Query Managed Sub Account Transfer Log (For Investor Master Account) (USER_DATA)\n\nInvestor can use this api to query managed sub account transfer log.\nThis endpoint is available for investor of Managed Sub-Account.A Managed Sub-Account is an account\ntype for investors who value flexibility in asset allocation and account application, while\ndelegating trades to a professional trading team.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/queryTransLogForInvestor\n\nMandatory params:\n\n- email - Managed Sub Account Email\n- startTime - Start Time\n- endTime - End Time (The start time and end time interval cannot exceed half a year)\n- page - Page\n- limit - Limit (Max: 500)\n\nOptional params:\n\n- transfers - Transfer Direction (FROM/TO)\n- transferFunctionAccountType - Transfer function account type (SPOT/MARGIN/ISOLATED_MARGIN/USDT_FUTURE/COIN_FUTURE)","ref":"Binance.SubAccount.html#get_managed_subaccount_query_trans_log_for_investor/6","title":"Binance.SubAccount.get_managed_subaccount_query_trans_log_for_investor/6","type":"function"},{"doc":"Query Managed Sub Account Transfer Log (For Trading Team Master Account) (USER_DATA)\n\nTrading team can use this api to query managed sub account transfer log. This endpoint\n is available for trading team of Managed Sub-Account. A Managed Sub-Account is \nan account type for investors who value flexibility in asset allocation \nand account application, while delegating trades to a professional trading team.\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/managed-subaccount/queryTransLogForTradeParent\n\nMandatory params:\n\n- email - Managed Sub Account Email\n- startTime - Start Time\n- endTime - End Time (The start time and end time interval cannot exceed half a year)\n- page - Page\n- limit - Limit (Max: 500)\n\nOptional params:\n\n- transfers - Transfer Direction (FROM/TO)\n- transferFunctionAccountType - Transfer function account type (SPOT/MARGIN/ISOLATED_MARGIN/USDT_FUTURE/COIN_FUTURE)","ref":"Binance.SubAccount.html#get_managed_subaccount_query_trans_log_for_trade_parent/6","title":"Binance.SubAccount.get_managed_subaccount_query_trans_log_for_trade_parent/6","type":"function"},{"doc":"Query Sub-Account API key Third Party IP whitelist (For Master Account)\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/apiRestrictions/ipRestriction/thirdPartyList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_api_restrictions_ip_restriction_third_party_list/1","title":"Binance.SubAccount.get_sub_account_api_restrictions_ip_restriction_third_party_list/1","type":"function"},{"doc":"Query Sub-account Assets (For Master Account)(USER_DATA)\n\nFetch sub-account assets\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v4/sub-account/assets\n\nMandatory params:\n\n- email - Managed Sub Account Email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow -","ref":"Binance.SubAccount.html#get_sub_account_assets/2","title":"Binance.SubAccount.get_sub_account_assets/2","type":"function"},{"doc":"Get Detail on Sub-account's Futures Account V2 (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v2/sub-account/futures/account\n\nMandatory params:\n\n- email - Sub-account email\n- futuresType - * `1` - USDT Margined Futures\n* `2` - COIN Margined Futures\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_futures_account/3","title":"Binance.SubAccount.get_sub_account_futures_account/3","type":"function"},{"doc":"Get Summary of Sub-account's Futures Account V2 (For Master Account)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v2/sub-account/futures/accountSummary\n\nMandatory params:\n\n- futuresType - * `1` - USDT Margined Futures\n* `2` - COIN Margined Futures\n\nOptional params:\n\n- timestamp - timestamp\n- page - Default 1\n- limit - Default 10, Max 20\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_futures_account_summary/2","title":"Binance.SubAccount.get_sub_account_futures_account_summary/2","type":"function"},{"doc":"Query Sub-account Futures Asset Transfer History (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/futures/internalTransfer\n\nMandatory params:\n\n- email - Sub-account email\n- futuresType - 1:USDT-margined Futures, 2: Coin-margined Futures\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- page - Default 1\n- limit - Default value: 50, Max value: 500\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_futures_internal_transfer/3","title":"Binance.SubAccount.get_sub_account_futures_internal_transfer/3","type":"function"},{"doc":"Get Futures Position-Risk of Sub-account V2 (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v2/sub-account/futures/positionRisk\n\nMandatory params:\n\n- email - Sub-account email\n- futuresType - * `1` - USDT Margined Futures\n* `2` - COIN Margined Futures\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_futures_position_risk/3","title":"Binance.SubAccount.get_sub_account_futures_position_risk/3","type":"function"},{"doc":"Query Sub-account List (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/list\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- email - Sub-account email\n- isFreeze - \n- page - Default 1\n- limit - Default 1; max 200\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_list/1","title":"Binance.SubAccount.get_sub_account_list/1","type":"function"},{"doc":"Get Detail on Sub-account's Margin Account (For Master Account)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/margin/account\n\nMandatory params:\n\n- email - Sub-account email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_margin_account/2","title":"Binance.SubAccount.get_sub_account_margin_account/2","type":"function"},{"doc":"Get Summary of Sub-account's Margin Account (For Master Account)\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/margin/accountSummary\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_margin_account_summary/1","title":"Binance.SubAccount.get_sub_account_margin_account_summary/1","type":"function"},{"doc":"Query Sub-account Spot Assets Summary (For Master Account)\n\nGet BTC valued asset summary of subaccounts.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/spotSummary\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- email - Sub-account email\n- page - Default 1\n- size - Default:10 Max:20\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_spot_summary/1","title":"Binance.SubAccount.get_sub_account_spot_summary/1","type":"function"},{"doc":"Get Sub-account's Status on Margin/Futures (For Master Account)\n\n- If no `email` sent, all sub-accounts' information will be returned.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/status\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- email - Sub-account email\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_status/1","title":"Binance.SubAccount.get_sub_account_status/1","type":"function"},{"doc":"Get IP Restriction for a Sub-account API Key (For Master Account)\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/subAccountApi/ipRestriction\n\nMandatory params:\n\n- email - Sub-account email\n- subAccountApiKey - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_sub_account_api_ip_restriction/3","title":"Binance.SubAccount.get_sub_account_sub_account_api_ip_restriction/3","type":"function"},{"doc":"Query Sub-account Spot Asset Transfer History (For Master Account)\n\n- fromEmail and toEmail cannot be sent at the same time.\n- Return fromEmail equal master account email by default.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/sub/transfer/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- fromEmail - Sub-account email\n- toEmail - Sub-account email\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- page - Default 1\n- limit - Default 1\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_sub_transfer_history/1","title":"Binance.SubAccount.get_sub_account_sub_transfer_history/1","type":"function"},{"doc":"Query Sub-account Transaction Statistics (For Master Account) (USER_DATA)\n\nQuery Sub-account Transaction statistics (For Master Account).\n\nWeight(UID): 60\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/transaction-statistics\n\nMandatory params:\n\n- email - Sub user email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow -","ref":"Binance.SubAccount.html#get_sub_account_transaction_statistics/2","title":"Binance.SubAccount.get_sub_account_transaction_statistics/2","type":"function"},{"doc":"Sub-account Transfer History (For Sub-account)\n\n- If `type` is not sent, the records of type 2: transfer out will be returned by default.\n- If `startTime` and `endTime` are not sent, the recent 30-day data will be returned.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/transfer/subUserHistory\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- type - * `1` - transfer in\n* `2` - transfer out\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_transfer_sub_user_history/1","title":"Binance.SubAccount.get_sub_account_transfer_sub_user_history/1","type":"function"},{"doc":"Query Universal Transfer History (For Master Account)\n\n- `fromEmail` and `toEmail` cannot be sent at the same time.\n- Return `fromEmail` equal master account email by default.\n- The query time period must be less then 30 days.\n- If startTime and endTime not sent, return records of the last 30 days by default.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/sub-account/universalTransfer\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- fromEmail - Sub-account email\n- toEmail - Sub-account email\n- clientTranId - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- page - Default 1\n- limit - Default 500, Max 500\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#get_sub_account_universal_transfer/1","title":"Binance.SubAccount.get_sub_account_universal_transfer/1","type":"function"},{"doc":"Deposit assets into the managed sub-account (For Investor Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/managed-subaccount/deposit\n\nMandatory params:\n\n- toEmail - Recipient email\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_managed_subaccount_deposit/4","title":"Binance.SubAccount.post_managed_subaccount_deposit/4","type":"function"},{"doc":"Withdrawl assets from the managed sub-account (For Investor Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/managed-subaccount/withdraw\n\nMandatory params:\n\n- fromEmail - Sender email\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- transferDate - Withdrawals is automatically occur on the transfer date(UTC0). If a date is not selected, the withdrawal occurs right now\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_managed_subaccount_withdraw/4","title":"Binance.SubAccount.post_managed_subaccount_withdraw/4","type":"function"},{"doc":"Enable Leverage Token for Sub-account (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/blvt/enable\n\nMandatory params:\n\n- email - Sub-account email\n- enableBlvt - Only true for now\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_blvt_enable/3","title":"Binance.SubAccount.post_sub_account_blvt_enable/3","type":"function"},{"doc":"Enable Options for Sub-account (For Master Account)(USER_DATA)\n\nEnable Options for Sub-account (For Master Account).\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/eoptions/enable\n\nMandatory params:\n\n- email - Sub user email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow -","ref":"Binance.SubAccount.html#post_sub_account_eoptions_enable/2","title":"Binance.SubAccount.post_sub_account_eoptions_enable/2","type":"function"},{"doc":"Enable Futures for Sub-account (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/futures/enable\n\nMandatory params:\n\n- email - Sub-account email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_futures_enable/2","title":"Binance.SubAccount.post_sub_account_futures_enable/2","type":"function"},{"doc":"Sub-account Futures Asset Transfer (For Master Account)\n\n- Master account can transfer max 2000 times a minute\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/futures/internalTransfer\n\nMandatory params:\n\n- fromEmail - Sender email\n- toEmail - Recipient email\n- futuresType - 1:USDT-margined Futures,2: Coin-margined Futures\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_futures_internal_transfer/6","title":"Binance.SubAccount.post_sub_account_futures_internal_transfer/6","type":"function"},{"doc":"Futures Transfer for Sub-account (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/futures/transfer\n\nMandatory params:\n\n- email - Sub-account email\n- asset - \n- amount - \n- type - * `1` - transfer from subaccount's spot account to its USDT-margined futures account\n* `2` - transfer from subaccount's USDT-margined futures account to its spot account\n* `3` - transfer from subaccount's spot account to its COIN-margined futures account\n* `4` - transfer from subaccount's COIN-margined futures account to its spot account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_futures_transfer/5","title":"Binance.SubAccount.post_sub_account_futures_transfer/5","type":"function"},{"doc":"Enable Margin for Sub-account (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/margin/enable\n\nMandatory params:\n\n- email - Sub-account email\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_margin_enable/2","title":"Binance.SubAccount.post_sub_account_margin_enable/2","type":"function"},{"doc":"Margin Transfer for Sub-account (For Master Account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/margin/transfer\n\nMandatory params:\n\n- email - Sub-account email\n- asset - \n- amount - \n- type - * `1` - transfer from subaccount's spot account to margin account\n* `2` - transfer from subaccount's margin account to its spot account\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_margin_transfer/5","title":"Binance.SubAccount.post_sub_account_margin_transfer/5","type":"function"},{"doc":"Update IP Restriction for Sub-Account API key (For Master Account)\n\nBefore the usage of this endpoint, please ensure `POST /sapi/v1/sub-account/subAccountApi/ipRestriction` was used to enable the IP restriction.\n\nWeight(UID): 3000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v2/sub-account/subAccountApi/ipRestriction\n\nMandatory params:\n\n- email - Sub-account email\n- subAccountApiKey - \n- status - IP Restriction status. 1 = IP Unrestricted. 2 = Restrict access to trusted IPs only. 3 = Restrict access to users' trusted third party IPs only\n\nOptional params:\n\n- timestamp - timestamp\n- thirdPartyName - Insert Name of a Third Party\n- ipAddress - Insert static IP in batch, separated by commas.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_sub_account_api_ip_restriction/4","title":"Binance.SubAccount.post_sub_account_sub_account_api_ip_restriction/4","type":"function"},{"doc":"Transfer to Master (For Sub-account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/transfer/subToMaster\n\nMandatory params:\n\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_transfer_sub_to_master/3","title":"Binance.SubAccount.post_sub_account_transfer_sub_to_master/3","type":"function"},{"doc":"Transfer to Sub-account of Same Master (For Sub-account)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/transfer/subToSub\n\nMandatory params:\n\n- toEmail - Recipient email\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_transfer_sub_to_sub/4","title":"Binance.SubAccount.post_sub_account_transfer_sub_to_sub/4","type":"function"},{"doc":"Universal Transfer (For Master Account)\n\n- You need to enable \"internal transfer\" option for the api key which requests this endpoint.\n- Transfer from master account by default if fromEmail is not sent.\n- Transfer to master account by default if toEmail is not sent.\n- Transfer between futures accounts is not supported.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/universalTransfer\n\nMandatory params:\n\n- fromAccountType - \n- toAccountType - \n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- fromEmail - Sub-account email\n- toEmail - Sub-account email\n- clientTranId - \n- symbol - Only supported under ISOLATED_MARGIN type\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_universal_transfer/5","title":"Binance.SubAccount.post_sub_account_universal_transfer/5","type":"function"},{"doc":"Create a Virtual Sub-account (For Master Account)\n\n- This request will generate a virtual sub account under your master account.\n- You need to enable \"trade\" option for the api key which requests this endpoint.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/sub-account/virtualSubAccount\n\nMandatory params:\n\n- subAccountString - Please input a string. We will create a virtual email using that string for you to register\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.SubAccount.html#post_sub_account_virtual_sub_account/2","title":"Binance.SubAccount.post_sub_account_virtual_sub_account/2","type":"function"},{"doc":"Account/Trade","ref":"Binance.Trade.html","title":"Binance.Trade","type":"module"},{"doc":"Cancel all Open Orders on a Symbol (TRADE)\n\nCancels all active orders on a symbol.\nThis includes OCO orders.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /api/v3/openOrders\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#delete_open_orders/2","title":"Binance.Trade.delete_open_orders/2","type":"function"},{"doc":"Cancel Order (TRADE)\n\nCancel an active order.\n\nEither `orderId` or `origClientOrderId` must be sent.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /api/v3/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - Order id\n- origClientOrderId - Order id from client\n- newClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- cancelRestrictions - Supported values:\n\nONLY_NEW - Cancel will succeed if the order status is NEW.\n\nONLY_PARTIALLY_FILLED - Cancel will succeed if order status is PARTIALLY_FILLED. For more information please refer to Regarding cancelRestrictions\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#delete_order/2","title":"Binance.Trade.delete_order/2","type":"function"},{"doc":"Cancel OCO (TRADE)\n\nCancel an entire Order List\n\nCanceling an individual leg will cancel the entire OCO\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: delete\n- URL: /api/v3/orderList\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- orderListId - Order list id\n- listClientOrderId - A unique Id for the entire orderList\n- newClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#delete_order_list/2","title":"Binance.Trade.delete_order_list/2","type":"function"},{"doc":"Account Information (USER_DATA)\n\nGet current account information.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/account\n\nMandatory params:\n\n- recvWindow - The value cannot be greater than 60000\n\nOptional params:\n\n- timestamp - timestamp","ref":"Binance.Trade.html#get_account/2","title":"Binance.Trade.get_account/2","type":"function"},{"doc":"Query all OCO (USER_DATA)\n\nRetrieves all OCO based on provided optional parameters\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/allOrderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- fromId - Trade id to fetch from. Default gets most recent trades.\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_all_order_list/1","title":"Binance.Trade.get_all_order_list/1","type":"function"},{"doc":"All Orders (USER_DATA)\n\nGet all account orders; active, canceled, or filled..\n\n- If `orderId` is set, it will get orders >= that `orderId`. Otherwise most recent orders are returned.\n- For some historical orders `cummulativeQuoteQty` will be < 0, meaning the data is not available at this time.\n- If `startTime` and/or `endTime` provided, `orderId` is not required\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/allOrders\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - Order id\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_all_orders/2","title":"Binance.Trade.get_all_orders/2","type":"function"},{"doc":"Account Trade List (USER_DATA)\n\nGet trades for a specific account and symbol.\n\nIf `fromId` is set, it will get id >= that `fromId`. Otherwise most recent orders are returned.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/myTrades\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - This can only be used in combination with symbol.\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- fromId - Trade id to fetch from. Default gets most recent trades.\n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_my_trades/2","title":"Binance.Trade.get_my_trades/2","type":"function"},{"doc":"Query Open OCO (USER_DATA)\n\nWeight(IP): 3\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/openOrderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_open_order_list/1","title":"Binance.Trade.get_open_order_list/1","type":"function"},{"doc":"Current Open Orders (USER_DATA)\n\nGet all open orders on a symbol. Careful when accessing this with no symbol.\n\nWeight(IP):\n- `3` for a single symbol;\n- `40` when the symbol parameter is omitted;\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/openOrders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbol - Trading symbol, e.g. BNBUSDT\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_open_orders/1","title":"Binance.Trade.get_open_orders/1","type":"function"},{"doc":"Query Order (USER_DATA)\n\nCheck an order's status.\n\n- Either `orderId` or `origClientOrderId` must be sent.\n- For some historical orders `cummulativeQuoteQty` will be < 0, meaning the data is not available at this time.\n\nWeight(IP): 2\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - Order id\n- origClientOrderId - Order id from client\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_order/2","title":"Binance.Trade.get_order/2","type":"function"},{"doc":"Query OCO (USER_DATA)\n\nRetrieves a specific OCO based on provided optional parameters\n\nWeight(IP): 2\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/orderList\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- orderListId - Order list id\n- origClientOrderId - Order id from client\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_order_list/1","title":"Binance.Trade.get_order_list/1","type":"function"},{"doc":"Query Current Order Count Usage (TRADE)\n\nDisplays the user's current order count usage for all intervals.\n\nWeight(IP): 20\n\nDetails:\n\n- METHOD: get\n- URL: /api/v3/rateLimit/order\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#get_rate_limit_order/1","title":"Binance.Trade.get_rate_limit_order/1","type":"function"},{"doc":"New Order (TRADE)\n\nSend in a new order.\n\n- `LIMIT_MAKER` are `LIMIT` orders that will be rejected if they would immediately match and trade as a taker.\n- `STOP_LOSS` and `TAKE_PROFIT` will execute a `MARKET` order when the `stopPrice` is reached.\n- Any `LIMIT` or `LIMIT_MAKER` type order can be made an iceberg order by sending an `icebergQty`.\n- Any order with an `icebergQty` MUST have `timeInForce` set to `GTC`.\n- `MARKET` orders using `quantity` specifies how much a user wants to buy or sell based on the market price.\n- `MARKET` orders using `quoteOrderQty` specifies the amount the user wants to spend (when buying) or receive (when selling) of the quote asset; the correct quantity will be determined based on the market liquidity and `quoteOrderQty`.\n- `MARKET` orders using `quoteOrderQty` will not break `LOT_SIZE` filter rules; the order will execute a quantity that will have the notional value as close as possible to `quoteOrderQty`.\n- same `newClientOrderId` can be accepted only when the previous one is filled, otherwise the order will be rejected.\n\nTrigger order price rules against market price for both `MARKET` and `LIMIT` versions:\n\n- Price above market price: `STOP_LOSS` `BUY`, `TAKE_PROFIT` `SELL`\n- Price below market price: `STOP_LOSS` `SELL`, `TAKE_PROFIT` `BUY`\n\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /api/v3/order\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- type - Order type\n\nOptional params:\n\n- timestamp - timestamp\n- timeInForce - Order time in force\n- quantity - Order quantity\n- quoteOrderQty - Quote quantity\n- price - Order price\n- newClientOrderId - A unique id among open orders. Automatically generated if not sent.\n- strategyId - \n- strategyType - The value cannot be less than 1000000\n- stopPrice - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- trailingDelta - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- icebergQty - Used with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.\n- newOrderRespType - Set the response JSON. MARKET and LIMIT order types default to FULL, all other orders default to ACK.\n- selfTradePreventionMode - The allowed enums is dependent on what is configured on the symbol. The possible supported values are EXPIRE_TAKER, EXPIRE_MAKER, EXPIRE_BOTH, NONE\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#post_order/4","title":"Binance.Trade.post_order/4","type":"function"},{"doc":"Cancel an Existing Order and Send a New Order (TRADE)\n\nCancels an existing order and places a new order on the same symbol.\n\nFilters are evaluated before the cancel order is placed.\n\nIf the new order placement is successfully sent to the engine, the order count will increase by 1.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /api/v3/order/cancelReplace\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- type - Order type\n- cancelReplaceMode - - `STOP_ON_FAILURE` If the cancel request fails, the new order placement will not be attempted.\n- `ALLOW_FAILURES` If new order placement will be attempted even if cancel request fails.\n\nOptional params:\n\n- timestamp - timestamp\n- timeInForce - Order time in force\n- quantity - Order quantity\n- quoteOrderQty - Quote quantity\n- price - Order price\n- cancelNewClientOrderId - Used to uniquely identify this cancel. Automatically generated by default\n- cancelOrigClientOrderId - Either the cancelOrigClientOrderId or cancelOrderId must be provided. If both are provided, cancelOrderId takes precedence.\n- cancelOrderId - Either the cancelOrigClientOrderId or cancelOrderId must be provided. If both are provided, cancelOrderId takes precedence.\n- newClientOrderId - Used to identify the new order. Automatically generated by default\n- strategyId - \n- strategyType - The value cannot be less than 1000000\n- stopPrice - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- trailingDelta - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- icebergQty - Used with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.\n- newOrderRespType - Set the response JSON. MARKET and LIMIT order types default to FULL, all other orders default to ACK.\n- selfTradePreventionMode - The allowed enums is dependent on what is configured on the symbol. The possible supported values are EXPIRE_TAKER, EXPIRE_MAKER, EXPIRE_BOTH, NONE\n- cancelRestrictions - Supported values:\n\nONLY_NEW - Cancel will succeed if the order status is NEW.\n\nONLY_PARTIALLY_FILLED - Cancel will succeed if order status is PARTIALLY_FILLED. For more information please refer to Regarding cancelRestrictions\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#post_order_cancel_replace/5","title":"Binance.Trade.post_order_cancel_replace/5","type":"function"},{"doc":"New OCO (TRADE)\n\nSend in a new OCO\n\n- Price Restrictions:\n  - `SELL`: Limit Price > Last Price > Stop Price\n  - `BUY`: Limit Price < Last Price < Stop Price\n- Quantity Restrictions:\n    - Both legs must have the same quantity\n    - `ICEBERG` quantities however do not have to be the same\n- Order Rate Limit\n    - `OCO` counts as 2 orders against the order rate limit.\n    \nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /api/v3/order/oco\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- quantity - \n- price - Order price\n- stopPrice - \n\nOptional params:\n\n- timestamp - timestamp\n- listClientOrderId - A unique Id for the entire orderList\n- limitClientOrderId - A unique Id for the limit order\n- limitStrategyId - \n- limitStrategyType - The value cannot be less than 1000000\n- limitIcebergQty - \n- trailingDelta - \n- stopClientOrderId - A unique Id for the stop loss/stop loss limit leg\n- stopStrategyId - \n- stopStrategyType - The value cannot be less than 1000000\n- stopLimitPrice - If provided, stopLimitTimeInForce is required.\n- stopIcebergQty - \n- stopLimitTimeInForce - \n- newOrderRespType - Set the response JSON.\n- selfTradePreventionMode - The allowed enums is dependent on what is configured on the symbol. The possible supported values are EXPIRE_TAKER, EXPIRE_MAKER, EXPIRE_BOTH, NONE\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#post_order_oco/6","title":"Binance.Trade.post_order_oco/6","type":"function"},{"doc":"Test New Order (TRADE)\n\nTest new order creation and signature/recvWindow long.\nCreates and validates a new order but does not send it into the matching engine.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /api/v3/order/test\n\nMandatory params:\n\n- symbol - Trading symbol, e.g. BNBUSDT\n- side - \n- type - Order type\n\nOptional params:\n\n- timestamp - timestamp\n- timeInForce - Order time in force\n- quantity - Order quantity\n- quoteOrderQty - Quote quantity\n- price - Order price\n- newClientOrderId - A unique id among open orders. Automatically generated if not sent.\n- strategyId - \n- strategyType - The value cannot be less than 1000000\n- stopPrice - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- trailingDelta - Used with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.\n- icebergQty - Used with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.\n- newOrderRespType - Set the response JSON. MARKET and LIMIT order types default to FULL, all other orders default to ACK.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Trade.html#post_order_test/4","title":"Binance.Trade.post_order_test/4","type":"function"},{"doc":"","ref":"Binance.UserDataStream.html","title":"Binance.UserDataStream","type":"module"},{"doc":"Close a ListenKey (USER_STREAM)\n\nClose out a user data stream.\n\nWeight: 1\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/userDataStream\n\nMandatory params:\n\n- listenKey - User websocket listen key\n\nOptional params:","ref":"Binance.UserDataStream.html#delete_user_data_stream/2","title":"Binance.UserDataStream.delete_user_data_stream/2","type":"function"},{"doc":"Close a ListenKey (USER_STREAM)\n\nClose out a user data stream.\n\nWeight: 1\n\nDetails:\n\n- METHOD: delete\n- URL: /sapi/v1/userDataStream/isolated\n\nMandatory params:\n\n- symbol - \n- listenKey - User websocket listen key\n\nOptional params:","ref":"Binance.UserDataStream.html#delete_user_data_stream_isolated/3","title":"Binance.UserDataStream.delete_user_data_stream_isolated/3","type":"function"},{"doc":"Create a ListenKey (USER_STREAM)\n\nStart a new user data stream.\nThe stream will close after 60 minutes unless a keepalive is sent. If the account has an active `listenKey`, that `listenKey` will be returned and its validity will be extended for 60 minutes.\n\nWeight: 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/userDataStream\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.UserDataStream.html#post_user_data_stream/1","title":"Binance.UserDataStream.post_user_data_stream/1","type":"function"},{"doc":"Generate a Listen Key (USER_STREAM)\n\nStart a new user data stream.\nThe stream will close after 60 minutes unless a keepalive is sent. If the account has an active `listenKey`, that `listenKey` will be returned and its validity will be extended for 60 minutes.\n\nWeight: 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/userDataStream/isolated\n\nMandatory params:\n\n- symbol - \n\nOptional params:","ref":"Binance.UserDataStream.html#post_user_data_stream_isolated/2","title":"Binance.UserDataStream.post_user_data_stream_isolated/2","type":"function"},{"doc":"Ping/Keep-alive a ListenKey (USER_STREAM)\n\nKeepalive a user data stream to prevent a time out. User data streams will close after 60 minutes. It's recommended to send a ping about every 30 minutes.\n\nWeight: 1\n\nDetails:\n\n- METHOD: put\n- URL: /sapi/v1/userDataStream\n\nMandatory params:\n\n- listenKey - User websocket listen key\n\nOptional params:","ref":"Binance.UserDataStream.html#put_user_data_stream/2","title":"Binance.UserDataStream.put_user_data_stream/2","type":"function"},{"doc":"Ping/Keep-alive a Listen Key (USER_STREAM)\n\nKeepalive a user data stream to prevent a time out. User data streams will close after 60 minutes. It's recommended to send a ping about every 30 minutes.\n\nWeight: 1\n\nDetails:\n\n- METHOD: put\n- URL: /sapi/v1/userDataStream/isolated\n\nMandatory params:\n\n- symbol - \n- listenKey - User websocket listen key\n\nOptional params:","ref":"Binance.UserDataStream.html#put_user_data_stream_isolated/3","title":"Binance.UserDataStream.put_user_data_stream_isolated/3","type":"function"},{"doc":"","ref":"Binance.VipLoans.html","title":"Binance.VipLoans","type":"module"},{"doc":"Check Locked Value of VIP Collateral Account (USER_DATA)\n\n- If startTime and endTime are not sent, the recent 7-day data will be returned.\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/collateral/account\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - \n- collateralAccountId - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_collateral_account/1","title":"Binance.VipLoans.get_loan_vip_collateral_account/1","type":"function"},{"doc":"Get Collateral Asset Data (USER_DATA)\n\nGet Collateral Asset Data\n\nWeight(IP): 400\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/collateral/data\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- collateralCoin - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_collateral_data/1","title":"Binance.VipLoans.get_loan_vip_collateral_data/1","type":"function"},{"doc":"Get Loanable Assets Data (USER_DATA)\n\nGet interest rate and borrow limit of loanable assets. The borrow limit is shown in USD value.\n\nWeight(IP): 400\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/loanable/data\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- loanCoin - \n- vipLevel - default:user's vip level\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_loanable_data/1","title":"Binance.VipLoans.get_loan_vip_loanable_data/1","type":"function"},{"doc":"Get VIP Loan Ongoing Orders (USER_DATA)\n\n- If startTime and endTime are not sent, the recent 7-day data will be returned.\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/ongoing/orders\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - \n- collateralAccountId - \n- loanCoin - \n- collateralCoin - \n- current - Currently querying page. Start from 1, Default:1, Max: 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_ongoing_orders/1","title":"Binance.VipLoans.get_loan_vip_ongoing_orders/1","type":"function"},{"doc":"Get VIP Loan Repayment History (USER_DATA)\n\n- If startTime and endTime are not sent, the recent 7-day data will be returned.\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/repay/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- orderId - \n- loanCoin - \n- startTime - \n- endTime - \n- current - Currently querying page. Start from 1, Default:1, Max: 1000.\n- limit - Default: 10, Max: 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_repay_history/1","title":"Binance.VipLoans.get_loan_vip_repay_history/1","type":"function"},{"doc":"Query Application Status (USER_DATA)\n\nWeight(UID): 400\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/loan/vip/request/data\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- current - Currently querying page. Start from 1, Default:1, Max: 1000\n- limit - Default: 10, Max: 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#get_loan_vip_request_data/1","title":"Binance.VipLoans.get_loan_vip_request_data/1","type":"function"},{"doc":"VIP Loan Borrow (TRADE)\n\nVIP loan is available for VIP users only.\nloanAccountId refer to loan receiving account\nOnly master account applications are supported\nloanAccountId and collateralAccountId under same master account\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/vip/borrow\n\nMandatory params:\n\n- loanAccountId - \n- loanCoin - \n- loanAmount - \n- collateralAccountId - Multiple split by ,\n- collateralCoin - Multiple split by ,\n- loanTerm - 30/60 days\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#post_loan_vip_borrow/7","title":"Binance.VipLoans.post_loan_vip_borrow/7","type":"function"},{"doc":"VIP Loan Renew (TRADE)\n\nVIP loan is available for VIP users only.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/vip/renew\n\nMandatory params:\n\n- orderId - \n- loanTerm - 30/60 days\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#post_loan_vip_renew/3","title":"Binance.VipLoans.post_loan_vip_renew/3","type":"function"},{"doc":"VIP Loan Repay (TRADE)\n\n- If startTime and endTime are not sent, the recent 7-day data will be returned.\n- The max interval between startTime and endTime is 30 days.\n\nWeight(UID): 6000\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/loan/vip/repay\n\nMandatory params:\n\n- orderId - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.VipLoans.html#post_loan_vip_repay/3","title":"Binance.VipLoans.post_loan_vip_repay/3","type":"function"},{"doc":"Wallet Endpoints","ref":"Binance.Wallet.html","title":"Binance.Wallet","type":"module"},{"doc":"Get API Key Permission (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/account/apiRestrictions\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_account_api_restrictions/1","title":"Binance.Wallet.get_account_api_restrictions/1","type":"function"},{"doc":"Account API Trading Status (USER_DATA)\n\nFetch account API trading status with details.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/account/apiTradingStatus\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_account_api_trading_status/1","title":"Binance.Wallet.get_account_api_trading_status/1","type":"function"},{"doc":"Daily Account Snapshot (USER_DATA)\n\n- The query time period must be less than 30 days\n- Support query within the last one month only\n- If startTimeand endTime not sent, return records of the last 7 days by default\n\nWeight(IP): 2400\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/accountSnapshot\n\nMandatory params:\n\n- type - \"SPOT\", \"MARGIN\", \"FUTURES\"\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_account_snapshot/2","title":"Binance.Wallet.get_account_snapshot/2","type":"function"},{"doc":"Account Status (USER_DATA)\n\nFetch account status detail.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/account/status\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_account_status/1","title":"Binance.Wallet.get_account_status/1","type":"function"},{"doc":"Asset Detail (USER_DATA)\n\nFetch details of assets supported on Binance.\n\n- Please get network and other deposit or withdraw details from `GET /sapi/v1/capital/config/getall`.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/assetDetail\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_asset_detail/1","title":"Binance.Wallet.get_asset_asset_detail/1","type":"function"},{"doc":"Asset Dividend Record (USER_DATA)\n\nQuery asset Dividend Record\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/assetDividend\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- limit - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_asset_dividend/1","title":"Binance.Wallet.get_asset_asset_dividend/1","type":"function"},{"doc":"BUSD Convert History (USER_DATA)\n\nGet user assets, just for positive data.\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/convert-transfer/queryByPage\n\nMandatory params:\n\n- startTime - inclusive, unit: ms\n- endTime - exclusive, unit: ms\n\nOptional params:\n\n- timestamp - timestamp\n- tranId - The transaction id\n- clientTranId - The user-defined transaction id\n- asset - The current asset\n- accountType - Only MAIN and CARD, default MAIN\n- current - current page, default 1, the min value is 1\n- size - page size, default 10, the max value is 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_convert_transfer_query_by_page/3","title":"Binance.Wallet.get_asset_convert_transfer_query_by_page/3","type":"function"},{"doc":"DustLog (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/dribblet\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_dribblet/1","title":"Binance.Wallet.get_asset_dribblet/1","type":"function"},{"doc":"Get Cloud-Mining payment and refund history (USER_DATA)\n\nGet user assets, just for positive data.\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/ledger-transfer/cloud-mining/queryByPage\n\nMandatory params:\n\n- startTime - inclusive, unit: ms\n- endTime - exclusive, unit: ms\n\nOptional params:\n\n- timestamp - timestamp\n- tranId - The transaction id\n- clientTranId - The unique flag\n- asset - If it is blank, we will query all assets\n- current - current page, default 1, the min value is 1\n- size - page size, default 10, the max value is 100\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_ledger_transfer_cloud_mining_query_by_page/3","title":"Binance.Wallet.get_asset_ledger_transfer_cloud_mining_query_by_page/3","type":"function"},{"doc":"Trade Fee (USER_DATA)\n\nFetch trade fee\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/tradeFee\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- symbol - Trading symbol, e.g. BNBUSDT\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_trade_fee/1","title":"Binance.Wallet.get_asset_trade_fee/1","type":"function"},{"doc":"Query User Universal Transfer History (USER_DATA)\n\n- `fromSymbol` must be sent when type are ISOLATEDMARGIN_MARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- `toSymbol` must be sent when type are MARGIN_ISOLATEDMARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- Support query within the last 6 months only\n- If `startTime` and `endTime` not sent, return records of the last 7 days by default\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/asset/transfer\n\nMandatory params:\n\n- type - Universal transfer type\n\nOptional params:\n\n- timestamp - timestamp\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- current - Current querying page. Start from 1. Default:1\n- size - Default:10 Max:100\n- fromSymbol - Must be sent when type are ISOLATEDMARGIN_MARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- toSymbol - Must be sent when type are MARGIN_ISOLATEDMARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_asset_transfer/2","title":"Binance.Wallet.get_asset_transfer/2","type":"function"},{"doc":"All Coins' Information (USER_DATA)\n\nGet information of coins (available for deposit and withdraw) for user.\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/config/getall\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_capital_config_getall/1","title":"Binance.Wallet.get_capital_config_getall/1","type":"function"},{"doc":"Query auto-converting stable coins (USER_DATA)\n\nGet a user's auto-conversion settings in deposit/withdrawal\n\nWeight(UID): 600\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/contract/convertible-coins\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Wallet.html#get_capital_contract_convertible_coins/1","title":"Binance.Wallet.get_capital_contract_convertible_coins/1","type":"function"},{"doc":"Deposit Address (supporting network) (User Data)\n\nFetch deposit address with network.\n\n- If network is not send, return with default network of the coin.\n- You can get network and isDefault in networkList in the response of Get /sapi/v1/capital/config/getall (HMAC SHA256).\n\nWeight(IP): 10\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/deposit/address\n\nMandatory params:\n\n- coin - Coin name\n\nOptional params:\n\n- timestamp - timestamp\n- network - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_capital_deposit_address/2","title":"Binance.Wallet.get_capital_deposit_address/2","type":"function"},{"doc":"Deposit History (supporting network) (User Data)\n\nFetch deposit history.\n\n- Please notice the default `startTime` and `endTime` to make sure that time interval is within 0-90 days.\n- If both `startTime` and `endTime` are sent, time between `startTime` and `endTime` must be less than 90 days.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/deposit/hisrec\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- coin - Coin name\n- status - * `0` - pending\n* `6` - credited but cannot withdraw\n* `1` - success\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- offset - \n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_capital_deposit_hisrec/1","title":"Binance.Wallet.get_capital_deposit_hisrec/1","type":"function"},{"doc":"Withdraw History (supporting network) (User Data)\n\nFetch withdraw history.\n\n- `network` may not be in the response for old withdraw.\n- Please notice the default `startTime` and `endTime` to make sure that time interval is within 0-90 days.\n- If both `startTime` and `endTime` are sent, time between `startTime` and `endTime` must be less than 90 days\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/capital/withdraw/history\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- coin - Coin name\n- withdrawOrderId - \n- status - * `0` - Email Sent\n* `1` - Cancelled\n* `2` - Awaiting Approval\n* `3` - Rejected\n* `4` - Processing\n* `5` - Failure\n* `6` - Completed\n- startTime - UTC timestamp in ms\n- endTime - UTC timestamp in ms\n- offset - \n- limit - Default 500; max 1000.\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#get_capital_withdraw_history/1","title":"Binance.Wallet.get_capital_withdraw_history/1","type":"function"},{"doc":"System Status (System)\n\nFetch system status.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: get\n- URL: /sapi/v1/system/status\n\nMandatory params:\n\n\n\nOptional params:","ref":"Binance.Wallet.html#get_system_status/1","title":"Binance.Wallet.get_system_status/1","type":"function"},{"doc":"Disable Fast Withdraw Switch (USER_DATA)\n\n- This request will disable fastwithdraw switch under your account.\n- You need to enable \"trade\" option for the api key which requests this endpoint.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/account/disableFastWithdrawSwitch\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_account_disable_fast_withdraw_switch/1","title":"Binance.Wallet.post_account_disable_fast_withdraw_switch/1","type":"function"},{"doc":"Enable Fast Withdraw Switch (USER_DATA)\n\n- This request will enable fastwithdraw switch under your account. You need to enable \"trade\" option for the api key which requests this endpoint.\n- When Fast Withdraw Switch is on, transferring funds to a Binance account will be done instantly. There is no on-chain transaction, no transaction ID and no withdrawal fee.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/account/enableFastWithdrawSwitch\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_account_enable_fast_withdraw_switch/1","title":"Binance.Wallet.post_account_enable_fast_withdraw_switch/1","type":"function"},{"doc":"BUSD Convert (TRADE)\n\nGet user assets, just for positive data.\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/asset/convert-transfer\n\nMandatory params:\n\n- clientTranId - The unique user-defined transaction id, min length 20\n- asset - The current asset\n- amount - The amount must be positive number\n- targetAsset - Target asset you want to convert\n\nOptional params:\n\n- timestamp - timestamp\n- accountType - Only MAIN and CARD, default MAIN\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_convert_transfer/5","title":"Binance.Wallet.post_asset_convert_transfer/5","type":"function"},{"doc":"Dust Transfer (USER_DATA)\n\nConvert dust assets to BNB.\n\nWeight(UID): 10\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/asset/dust\n\nMandatory params:\n\n- asset - The asset being converted. For example, asset=BTC&asset=USDT\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_dust/2","title":"Binance.Wallet.post_asset_dust/2","type":"function"},{"doc":"Get Assets That Can Be Converted Into BNB (USER_DATA)\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/asset/dust-btc\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_dust_btc/1","title":"Binance.Wallet.post_asset_dust_btc/1","type":"function"},{"doc":"Funding Wallet (USER_DATA)\n\n- Currently supports querying the following business assets：Binance Pay, Binance Card, Binance Gift Card, Stock Token\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/asset/get-funding-asset\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - \n- needBtcValuation - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_get_funding_asset/1","title":"Binance.Wallet.post_asset_get_funding_asset/1","type":"function"},{"doc":"User Asset (USER_DATA)\n\nGet user assets, just for positive data.\n\nWeight(IP): 5\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v3/asset/getUserAsset\n\nMandatory params:\n\n\n\nOptional params:\n\n- timestamp - timestamp\n- asset - If asset is blank, then query all positive assets user have.\n- needBtcValuation - \n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_get_user_asset/1","title":"Binance.Wallet.post_asset_get_user_asset/1","type":"function"},{"doc":"User Universal Transfer (USER_DATA)\n\nYou need to enable `Permits Universal Transfer` option for the api key which requests this endpoint.\n\n- `fromSymbol` must be sent when type are ISOLATEDMARGIN_MARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- `toSymbol` must be sent when type are MARGIN_ISOLATEDMARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n\nENUM of transfer types:\n- MAIN_UMFUTURE Spot account transfer to USDⓈ-M Futures account\n- MAIN_CMFUTURE Spot account transfer to COIN-M Futures account\n- MAIN_MARGIN Spot account transfer to Margin（cross）account\n- UMFUTURE_MAIN USDⓈ-M Futures account transfer to Spot account\n- UMFUTURE_MARGIN USDⓈ-M Futures account transfer to Margin（cross）account\n- CMFUTURE_MAIN COIN-M Futures account transfer to Spot account\n- CMFUTURE_MARGIN COIN-M Futures account transfer to Margin(cross) account\n- MARGIN_MAIN Margin（cross）account transfer to Spot account\n- MARGIN_UMFUTURE Margin（cross）account transfer to USDⓈ-M Futures\n- MARGIN_CMFUTURE Margin（cross）account transfer to COIN-M Futures\n- ISOLATEDMARGIN_MARGIN Isolated margin account transfer to Margin(cross) account\n- MARGIN_ISOLATEDMARGIN Margin(cross) account transfer to Isolated margin account\n- ISOLATEDMARGIN_ISOLATEDMARGIN Isolated margin account transfer to Isolated margin account\n- MAIN_FUNDING Spot account transfer to Funding account\n- FUNDING_MAIN Funding account transfer to Spot account\n- FUNDING_UMFUTURE Funding account transfer to UMFUTURE account\n- UMFUTURE_FUNDING UMFUTURE account transfer to Funding account\n- MARGIN_FUNDING MARGIN account transfer to Funding account\n- FUNDING_MARGIN Funding account transfer to Margin account\n- FUNDING_CMFUTURE Funding account transfer to CMFUTURE account\n- CMFUTURE_FUNDING CMFUTURE account transfer to Funding account\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/asset/transfer\n\nMandatory params:\n\n- type - Universal transfer type\n- asset - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- fromSymbol - Must be sent when type are ISOLATEDMARGIN_MARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- toSymbol - Must be sent when type are MARGIN_ISOLATEDMARGIN and ISOLATEDMARGIN_ISOLATEDMARGIN\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_asset_transfer/4","title":"Binance.Wallet.post_asset_transfer/4","type":"function"},{"doc":"Switch on/off BUSD and stable coins conversion (USER_DATA)\n\nUser can use it to turn on or turn off the BUSD auto-conversion from/to a specific stable coin.\n\nParams need to be in the POST body\n\nWeight(UID): 600\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/capital/contract/convertible-coins\n\nMandatory params:\n\n- coin - Must be USDC, USDP or TUSD\n- enable - true: turn on the auto-conversion. false: turn off the auto-conversion\n\nOptional params:","ref":"Binance.Wallet.html#post_capital_contract_convertible_coins/3","title":"Binance.Wallet.post_capital_contract_convertible_coins/3","type":"function"},{"doc":"One click arrival deposit apply (for expired address deposit) (USER_DATA)\n\nApply deposit credit for expired address (One click arrival)\n\nParams need to be in the POST body\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/capital/deposit/credit-apply\n\nMandatory params:\n\n\n\nOptional params:\n\n- depositId - Deposit record Id, priority use\n- txId - Deposit txId, used when depositId is not specified\n- subAccountId - Sub-accountId of Cloud user\n- subUserId - Sub-userId of parent user","ref":"Binance.Wallet.html#post_capital_deposit_credit_apply/1","title":"Binance.Wallet.post_capital_deposit_credit_apply/1","type":"function"},{"doc":"Withdraw (USER_DATA)\n\nSubmit a withdraw request.\n\n- If `network` not send, return with default network of the coin.\n- You can get `network` and `isDefault` in `networkList` of a coin in the response of `Get /sapi/v1/capital/config/getall (HMAC SHA256)`.\n\nWeight(IP): 1\n\nDetails:\n\n- METHOD: post\n- URL: /sapi/v1/capital/withdraw/apply\n\nMandatory params:\n\n- coin - Coin name\n- address - \n- amount - \n\nOptional params:\n\n- timestamp - timestamp\n- withdrawOrderId - Client id for withdraw\n- network - Get the value from `GET /sapi/v1/capital/config/getall`\n- addressTag - Secondary address identifier for coins like XRP,XMR etc.\n- transactionFeeFlag - When making internal transfer\n- `true` ->  returning the fee to the destination account;\n- `false` -> returning the fee back to the departure account.\n- name - \n- walletType - The wallet type for withdraw，0-Spot wallet, 1- Funding wallet. Default is Spot wallet\n- recvWindow - The value cannot be greater than 60000","ref":"Binance.Wallet.html#post_capital_withdraw_apply/4","title":"Binance.Wallet.post_capital_withdraw_apply/4","type":"function"}]}